/dts-v1/;

/ {

	__fixups__ {
		accdet = "/fragment@39:target:0", "/fragment@67:target:0";
		antenna_boardid_detect = "/fragment@1:target:0", "/fragment@47:target:0";
		antenna_cable_detect = "/fragment@3:target:0";
		audgpio = "/fragment@35:target:0";
		audio_hw_config = "/fragment@38:target:0";
		auxadc = "/fragment@50:target:0";
		bat_gm30 = "/fragment@16:target:0";
		card_tray_detect = "/fragment@48:target:0";
		charger = "/fragment@11:target:0";
		consys = "/fragment@29:target:0";
		dev_detect = "/fragment@0:target:0";
		dsi_te = "/fragment@71:target:0";
		gpio = "/fragment@63:target:0";
		gpio_usage_mapping = "/fragment@62:target:0";
		hisi_shell = "/fragment@32:target:0";
		huawei_charger = "/fragment@12:target:0";
		huawei_lcd_config = "/fragment@21:target:0", "/fragment@22:target:0", "/fragment@23:target:0";
		huawei_lcd_panel = "/fragment@24:target:0";
		huawei_scp_info = "/fragment@30:target:0";
		huawei_wifi_info = "/fragment@20:target:0";
		i2c0 = "/fragment@52:target:0";
		i2c1 = "/fragment@53:target:0";
		i2c2 = "/fragment@54:target:0", "/fragment@86:target:0";
		i2c3 = "/fragment@55:target:0";
		i2c4 = "/fragment@56:target:0", "/fragment@87:target:0";
		i2c5 = "/fragment@10:target:0", "/fragment@31:target:0", "/fragment@57:target:0", "/fragment@91:target:0";
		i2c6 = "/fragment@27:target:0", "/fragment@58:target:0";
		i2c7 = "/fragment@59:target:0";
		i2c8 = "/fragment@60:target:0";
		i2c9 = "/fragment@61:target:0";
		irq_nfc = "/fragment@68:target:0";
		kd_camera_hw1 = "/fragment@82:target:0", "/fragment@89:target:0";
		keypad = "/fragment@84:target:0";
		led_contrl = "/fragment@6:target:0";
		lk_charger = "/fragment@13:target:0";
		main_pmic = "/fragment@72:target:0";
		md1_sim1_hot_plug_eint = "/fragment@74:target:0";
		md1_sim2_hot_plug_eint = "/fragment@75:target:0";
		msdc1_ins = "/fragment@65:target:0";
		mt6370_pmu = "/fragment@14:target:0";
		mt_pmic_vcama_ldo_reg = "/fragment@76:target:0", "/fragment@89/__overlay__:cam0_vcama-supply:0", "/fragment@89/__overlay__:cam1_vcama-supply:0";
		mt_pmic_vcamd_ldo_reg = "/fragment@79:target:0", "/fragment@89/__overlay__:cam0_vcamd-supply:0", "/fragment@89/__overlay__:cam1_vcamd-supply:0";
		mt_pmic_vcamio_ldo_reg = "/fragment@80:target:0", "/fragment@89/__overlay__:cam0_vcamio-supply:0", "/fragment@89/__overlay__:cam1_vcamio-supply:0";
		mt_pmic_vldo28_ldo_reg = "/fragment@81:target:0", "/fragment@83/__overlay__:vtouch-supply:0", "/fragment@85:target:0", "/fragment@89/__overlay__:cam0_vcamaf-supply:0";
		mt_pmic_vsim1_ldo_reg = "/fragment@77:target:0";
		mt_pmic_vsim2_ldo_reg = "/fragment@78:target:0";
		mt_soc_codec_name = "/fragment@37:target:0";
		mtkfb = "/fragment@26:target:0";
		odm = "/fragment@5:target:0";
		otg_iddig = "/fragment@15:target:0", "/fragment@73:target:0";
		pio = "/fragment@2:target:0", "/fragment@4:target:0", "/fragment@7:target:0", "/fragment@8/__overlay__:interrupt-parent:0", "/fragment@9:target:0", "/fragment@10/__overlay__/rt-swchg@53/rt9466:rt,ceb_gpio:0", "/fragment@10/__overlay__/rt-swchg@53/rt9466:rt,intr_gpio:0", "/fragment@10/__overlay__/rt-swchg@53/rt9471:rt,ceb_gpio:0", "/fragment@10/__overlay__/rt-swchg@53/rt9471:rt,intr_gpio:0", "/fragment@10/__overlay__/sgm41511h@6b:gpio_int:0", "/fragment@10/__overlay__/sgm41511h@6b:gpio_cd:0", "/fragment@15/__overlay__:interrupt-parent:0", "/fragment@18/__overlay__/fingerprint_sensor@0:interrupt-parent:0", "/fragment@18/__overlay__/fingerprint_sensor@0:fingerprint_eint_gpio:0", "/fragment@19:target:0", "/fragment@25:target:0", "/fragment@28:target:0", "/fragment@36:target:0", "/fragment@37/__overlay__:simple-pa-gpio-enale:0", "/fragment@40:target:0", "/fragment@62/__overlay__:GPIO_SIM2_SIO:0", "/fragment@62/__overlay__:GPIO_SIM2_SRST:0", "/fragment@62/__overlay__:GPIO_SIM2_SCLK:0", "/fragment@62/__overlay__:GPIO_SIM1_SCLK:0", "/fragment@62/__overlay__:GPIO_SIM1_SRST:0", "/fragment@62/__overlay__:GPIO_SIM1_SIO:0", "/fragment@62/__overlay__:GPIO_SIM2_HOT_PLUG:0", "/fragment@62/__overlay__:GPIO_SIM1_HOT_PLUG:0", "/fragment@62/__overlay__:GPIO_FDD_BAND_SUPPORT_DETECT_4TH_PIN:0", "/fragment@62/__overlay__:GPIO_FDD_BAND_SUPPORT_DETECT_3RD_PIN:0", "/fragment@62/__overlay__:GPIO_FDD_BAND_SUPPORT_DETECT_2ND_PIN:0", "/fragment@62/__overlay__:GPIO_FDD_BAND_SUPPORT_DETECT_1ST_PIN:0", "/fragment@62/__overlay__:GPIO_FDD_BAND_SUPPORT_DETECT_5TH_PIN:0", "/fragment@64/__overlay__:interrupt-parent:0", "/fragment@65/__overlay__:interrupt-parent:0", "/fragment@66/__overlay__:interrupt-parent:0", "/fragment@67/__overlay__:interrupt-parent:0", "/fragment@67/__overlay__:deb-gpios:0", "/fragment@68/__overlay__:interrupt-parent:0", "/fragment@69/__overlay__:interrupt-parent:0", "/fragment@70/__overlay__:interrupt-parent:0", "/fragment@71/__overlay__:interrupt-parent:0", "/fragment@72/__overlay__:interrupt-parent:0", "/fragment@73/__overlay__:interrupt-parent:0", "/fragment@73/__overlay__:deb-gpios:0", "/fragment@88:target:0";
		pmic_clock_buffer_ctrl = "/fragment@51:target:0";
		product_name_camera = "/fragment@90:target:0";
		rootparam = "/fragment@46:target:0";
		rt9465_slave_chr = "/fragment@70:target:0";
		shell_back = "/fragment@34:target:0";
		shell_front = "/fragment@33:target:0";
		singleap_wifionly = "/fragment@49:target:0";
		smart_pa = "/fragment@66:target:0";
		smartpakit = "/fragment@41:target:0";
		spi0 = "/fragment@18:target:0";
		subpmic_pmu_eint = "/fragment@69:target:0";
		therm_ntc_bts = "/fragment@42:target:0";
		therm_ntc_btsmdpa = "/fragment@43:target:0";
		therm_ntc_charger = "/fragment@45:target:0";
		therm_ntc_usb = "/fragment@44:target:0";
		touch = "/fragment@64:target:0", "/fragment@83:target:0";
		ts_kit = "/fragment@8:target:0";
		usb_phy_tuning = "/fragment@17:target:0";
	};

	__local_fixups__ {

		fragment@1 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
				pinctrl-8 = <0x0>;
				pinctrl-9 = <0x0>;
			};
		};

		fragment@18 {

			__overlay__ {

				fingerprint_sensor@0 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-10 = <0x0>;
					pinctrl-11 = <0x0>;
					pinctrl-12 = <0x0>;
					pinctrl-13 = <0x0>;
					pinctrl-14 = <0x0>;
					pinctrl-15 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
					pinctrl-6 = <0x0>;
					pinctrl-7 = <0x0>;
					pinctrl-8 = <0x0>;
					pinctrl-9 = <0x0>;
				};
			};
		};

		fragment@26 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
			};
		};

		fragment@29 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
			};
		};

		fragment@3 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
			};
		};

		fragment@35 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
			};
		};

		fragment@39 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
			};
		};

		fragment@6 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
			};
		};

		fragment@8 {

			__overlay__ {

				touchscreen@38 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
				};
			};
		};

		fragment@89 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-10 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
				pinctrl-8 = <0x0>;
				pinctrl-9 = <0x0>;
			};
		};
	};

	__symbols__ {
		accdet_pins_default = "/fragment@40/__overlay__/accdetdefault";
		accdet_pins_eint_as_int = "/fragment@40/__overlay__/accdeteint@0";
		ant_cable_det_default = "/fragment@4/__overlay__/ant_cable_det_default";
		ant_cable_det_idle = "/fragment@4/__overlay__/ant_cable_det_idle";
		ant_pins_all_default = "/fragment@2/__overlay__/ant_pins_all_default";
		ant_pins_id0_bias_down = "/fragment@2/__overlay__/ant_pins_id0_bias_down";
		ant_pins_id0_bias_up = "/fragment@2/__overlay__/ant_pins_id0_bias_up";
		ant_pins_id0_default = "/fragment@2/__overlay__/ant_pins_id0_default";
		ant_pins_id1_bias_down = "/fragment@2/__overlay__/ant_pins_id1_bias_down";
		ant_pins_id1_bias_up = "/fragment@2/__overlay__/ant_pins_id1_bias_up";
		ant_pins_id1_default = "/fragment@2/__overlay__/ant_pins_id1_default";
		ant_pins_id2_bias_down = "/fragment@2/__overlay__/ant_pins_id2_bias_down";
		ant_pins_id2_bias_up = "/fragment@2/__overlay__/ant_pins_id2_bias_up";
		ant_pins_id2_default = "/fragment@2/__overlay__/ant_pins_id2_default";
		aud_clk_miso_off = "/fragment@36/__overlay__/aud_clk_miso_off";
		aud_clk_miso_on = "/fragment@36/__overlay__/aud_clk_miso_on";
		aud_clk_mosi_off = "/fragment@36/__overlay__/aud_clk_mosi_off";
		aud_clk_mosi_on = "/fragment@36/__overlay__/aud_clk_mosi_on";
		aud_dat_miso_off = "/fragment@36/__overlay__/aud_dat_miso_off";
		aud_dat_miso_on = "/fragment@36/__overlay__/aud_dat_miso_on";
		aud_dat_mosi_off = "/fragment@36/__overlay__/aud_dat_mosi_off";
		aud_dat_mosi_on = "/fragment@36/__overlay__/aud_dat_mosi_on";
		camera_main_af_mtk = "/fragment@86/__overlay__/camera_main_af@0c";
		camera_main_mtk = "/fragment@86/__overlay__/camera_main@10";
		camera_pins_cam0_mclk_off = "/fragment@88/__overlay__/camera_pins_cam0_mclk_off";
		camera_pins_cam0_mclk_on = "/fragment@88/__overlay__/camera_pins_cam0_mclk_on";
		camera_pins_cam0_pnd0 = "/fragment@88/__overlay__/cam0@2";
		camera_pins_cam0_pnd1 = "/fragment@88/__overlay__/cam0@3";
		camera_pins_cam0_rst0 = "/fragment@88/__overlay__/cam0@0";
		camera_pins_cam0_rst1 = "/fragment@88/__overlay__/cam0@1";
		camera_pins_cam1_mclk_off = "/fragment@88/__overlay__/camera_pins_cam1_mclk_off";
		camera_pins_cam1_mclk_on = "/fragment@88/__overlay__/camera_pins_cam1_mclk_on";
		camera_pins_cam1_pnd0 = "/fragment@88/__overlay__/cam1@2";
		camera_pins_cam1_pnd1 = "/fragment@88/__overlay__/cam1@3";
		camera_pins_default = "/fragment@88/__overlay__/camdefault";
		camera_sub_mtk = "/fragment@87/__overlay__/camera_sub@36";
		cap_touch_mtk = "/fragment@52/__overlay__/cap_touch@5d";
		consys_pins_default = "/fragment@28/__overlay__/consys_default";
		ctp_pins_default = "/fragment@9/__overlay__/eint0default";
		ctp_pins_eint_as_int = "/fragment@9/__overlay__/eint@0";
		ctp_pins_eint_output0 = "/fragment@9/__overlay__/eintoutput0";
		ctp_pins_eint_output1 = "/fragment@9/__overlay__/eintoutput1";
		ctp_pins_rst_output0 = "/fragment@9/__overlay__/rstoutput0";
		ctp_pins_rst_output1 = "/fragment@9/__overlay__/rstoutput1";
		dsi_kob2_auo_otm1901a_5p2_1080p_video_default = "/fragment@21/__overlay__/lcd_kit_kob2_auo_otm1901a_5p2_1080p_video_default";
		dsi_kob2_boe_ft8201_8p1 = "/fragment@22/__overlay__/lcd_kit_kob2_boe_ft8201_8p1";
		dsi_kob2_inx_ft8201_8p1 = "/fragment@23/__overlay__/lcd_kit_kob2_inx_ft8201_8p1";
		ext_buck_lp4_mtk = "/fragment@55/__overlay__/ext_buck_lp4@57";
		ext_buck_lp4x_mtk = "/fragment@55/__overlay__/ext_buck_lp4x@50";
		ext_buck_vgpu_mtk = "/fragment@58/__overlay__/ext_buck_vgpu@55";
		fingerprint_eint_as_int = "/fragment@19/__overlay__/fingerprint_eint_as_int";
		fingerprint_eint_in_float = "/fragment@19/__overlay__/fingerprint_eint_in_float";
		fingerprint_eint_in_low = "/fragment@19/__overlay__/fingerprint_eint_in_low";
		fingerprint_power_high = "/fragment@19/__overlay__/fingerprint_power_high";
		fingerprint_power_low = "/fragment@19/__overlay__/fingerprint_power_low";
		fingerprint_rst_high = "/fragment@19/__overlay__/fingerprint_rst_high";
		fingerprint_rst_low = "/fragment@19/__overlay__/fingerprint_rst_low";
		fingerprint_spi_cs_high = "/fragment@19/__overlay__/fingerprint_spi_cs_high";
		fingerprint_spi_cs_low = "/fragment@19/__overlay__/fingerprint_spi_cs_low";
		fingerprint_spi_default = "/fragment@19/__overlay__/fingerprint_spi_default";
		fingerprint_spi_mclk_high = "/fragment@19/__overlay__/fingerprint_spi_mclk_high";
		fingerprint_spi_mclk_low = "/fragment@19/__overlay__/fingerprint_spi_mclk_low";
		fingerprint_spi_miso_high = "/fragment@19/__overlay__/fingerprint_spi_miso_high";
		fingerprint_spi_miso_low = "/fragment@19/__overlay__/fingerprint_spi_miso_low";
		fingerprint_spi_mosi_high = "/fragment@19/__overlay__/fingerprint_spi_mosi_high";
		fingerprint_spi_mosi_low = "/fragment@19/__overlay__/fingerprint_spi_mosi_low";
		fts = "/fragment@8/__overlay__/touchscreen@38";
		gpio_g_redEnDefault = "/fragment@7/__overlay__/r_en_default";
		gpio_g_redEnHigh = "/fragment@7/__overlay__/r_en_high@1";
		gpio_g_redEnLow = "/fragment@7/__overlay__/r_en_low@0";
		gpslna_pins_init = "/fragment@28/__overlay__/gpslna@0";
		gpslna_pins_oh = "/fragment@28/__overlay__/gpslna@1";
		gpslna_pins_ol = "/fragment@28/__overlay__/gpslna@2";
		led0 = "/fragment@5/__overlay__/led@0";
		led1 = "/fragment@5/__overlay__/led@1";
		led2 = "/fragment@5/__overlay__/led@2";
		led3 = "/fragment@5/__overlay__/led@3";
		led4 = "/fragment@5/__overlay__/led@4";
		led5 = "/fragment@5/__overlay__/led@5";
		led6 = "/fragment@5/__overlay__/led@6";
		mtkfb_pins_lcm_reset0 = "/fragment@25/__overlay__/lcm_rst_out0_gpio";
		mtkfb_pins_lcm_reset1 = "/fragment@25/__overlay__/lcm_rst_out1_gpio";
		nfc_mtk = "/fragment@55/__overlay__/nfc@08";
		slave_charger_mtk = "/fragment@55/__overlay__/slave_charger@4b";
		speaker_amp_mtk = "/fragment@55/__overlay__/speaker_amp@34";
		subpmic_pmu_mtk = "/fragment@57/__overlay__/subpmic_pmu@34";
		usb_type_c_mtk = "/fragment@57/__overlay__/usb_type_c@4e";
		vibrator0 = "/fragment@5/__overlay__/vibrator@0";
	};

	fragment@0 {
		target = <0xffffffff>;

		__overlay__ {
			airpress = <0x0>;
			anc_max14744 = <0x0>;
			antenna_ctl = <0x0>;
			ap_color = <0x0>;
			aps = <0x0>;
			audience = <0x0>;
			battery = <0x0>;
			bt = <0x0>;
			camera_main = <0x0>;
			camera_pmic = <0x0>;
			camera_pmu = <0x0>;
			camera_slave = <0x0>;
			charge = <0x0>;
			charge_loadswitch = <0x0>;
			compass = <0x0>;
			compatible = "huawei,dev_detect";
			coul = <0x0>;
			cpu_chip = <0x0>;
			dc_dc = <0x0>;
			dtv = <0x0>;
			fm = <0x0>;
			g_sensor = <0x0>;
			gps = <0x0>;
			gpu = <0x0>;
			gyroscope = <0x0>;
			hand_sensor = <0x0>;
			handpress = <0x0>;
			irda = <0x0>;
			keypad = <0x0>;
			l_sensor = <0x0>;
			laser = <0x0>;
			max77813 = <0x0>;
			mhl = <0x0>;
			nct = <0x0>;
			nfc = <0x0>;
			ofn = <0x0>;
			pmu_dcdc = <0x0>;
			speaker = <0x0>;
			status = "ok";
			touch_panel = <0x0>;
			tps = <0x0>;
			typec = <0x0>;
			usb_switch = <0x0>;
			vibrator_lra = <0x0>;
			wifi = <0x0>;
		};
	};

	fragment@1 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x1>;
			pinctrl-1 = <0x2>;
			pinctrl-2 = <0x3>;
			pinctrl-3 = <0x4>;
			pinctrl-4 = <0x5>;
			pinctrl-5 = <0x6>;
			pinctrl-6 = <0x7>;
			pinctrl-7 = <0x8>;
			pinctrl-8 = <0x9>;
			pinctrl-9 = <0xa>;
			pinctrl-names = "default", "state_id0_default", "state_id0_bias_up", "state_id0_bias_down", "state_id1_default", "state_id1_bias_up", "state_id1_bias_down", "state_id2_default", "state_id2_bias_up", "state_id2_bias_down";
			status = "ok";
		};
	};

	fragment@10 {
		target = <0xffffffff>;

		__overlay__ {

			rt-swchg@53 {
				compatible = "richtek,swchg";
				reg = <0x53>;
				status = "okay";

				rt9466 {
					aicr = <0x7a120>;
					charger_name = "primary_chg";
					cv = <0x432380>;
					en-safe-tmr;
					en_te;
					en_wdt;
					ichg = <0xf4240>;
					ieoc = <0x249f0>;
					interrupt-names = "wdtmri", "chg_mivr", "chg_aiclmeasi", "chg_statci";
					ircmp_resistor = <0x13880>;
					ircmp_vclamp = <0x17700>;
					mivr = <0x47b760>;
					rt,ceb_gpio = <0xffffffff 0x9a 0x0>;
					rt,ceb_gpio_num = <0x9a>;
					rt,intr_gpio = <0xffffffff 0xb 0x0>;
					rt,intr_gpio_num = <0xb>;
					safety_timer = <0x14>;
					status = "okay";
				};

				rt9471 {
					aicr = <0x1f4>;
					charger_name = "rt9471";
					cv = <0x1130>;
					en-qon-rst;
					en-safe-tmr;
					en-te;
					ichg = <0x3e8>;
					ieoc = <0x96>;
					interrupt-names = "wdt", "vac_ov", "otg_fault";
					mivr = <0x125c>;
					mivr-track = <0x0>;
					rm-name = "rt9471";
					rm-slave-addr = [53];
					rt,ceb_gpio = <0xffffffff 0x9a 0x0>;
					rt,intr_gpio = <0xffffffff 0xb 0x0>;
					rt,intr_gpio_num = <0xb>;
					safe-tmr = <0x14>;
					wdt = <0x28>;
				};
			};

			sgm41511h@6b {
				compatible = "huawei,sgm41511h_charger";
				custom_cv = <0x1130>;
				gpio_cd = <0xffffffff 0x9a 0x0>;
				gpio_int = <0xffffffff 0xb 0x0>;
				reg = <0x6b>;
				status = "okay";
			};
		};
	};

	fragment@11 {
		target = <0xffffffff>;

		__overlay__ {
			ac_charger_current = <0x16e360>;
			ac_charger_input_current = <0xf4240>;
			dpm_enable;
			non_std_ac_charger_current = <0x10c8e0>;
			vdpm_buf_limit = <0x64>;
			vdpm_para = "-32767", "4000", "4200", "50", "4000", "4200", "4400", "50", "4200", "32767", "4600", "50";
		};
	};

	fragment@12 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "huawei,charger";
			status = "okay";
		};
	};

	fragment@13 {
		target = <0xffffffff>;

		__overlay__ {
			ac_charger_current = <0xf4240>;
			ac_charger_input_current = <0xf4240>;
			non_std_ac_charger_current = <0x100590>;
		};
	};

	fragment@14 {
		target = <0xffffffff>;

		__overlay__ {

			charger {
				status = "disabled";
			};
		};
	};

	fragment@15 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x29 0x8 0x29 0x0>;
			otg_bigcurr_disable;
			status = "okay";
		};
	};

	fragment@16 {
		target = <0xffffffff>;

		__overlay__ {
			bat_para = "ScudAtl", "236000", "351000", "DesayByd", "828000", "972000";
			batt_id_channel = <0x4>;
			battery0_profile_t0 = <0x0 0xaa95 0x3ae 0x1f7 0xaa0c 0x3ae 0x3ee 0xa99c 0x3af 0x5e5 0xa926 0x3af 0x7dc 0xa8b5 0x3ba 0x9d3 0xa839 0x3a3 0xbca 0xa7c8 0x3bb 0xdc1 0xa758 0x3bb 0xfb8 0xa6e1 0x3bb 0x11af 0xa66b 0x3bb 0x13a6 0xa5f5 0x3bb 0x159d 0xa584 0x3bc 0x1794 0xa514 0x3c6 0x198b 0xa49d 0x3ba 0x1b82 0xa427 0x3af 0x1d79 0xa3b7 0x3bb 0x1f70 0xa347 0x3bc 0x2168 0xa2dc 0x3c7 0x235f 0xa26c 0x3c7 0x2556 0xa1fc 0x3c7 0x274d 0xa18c 0x3c7 0x2944 0xa123 0x3ca 0x2b3b 0xa0be 0x3e0 0x2d32 0xa053 0x3de 0x2f29 0x9fe5 0x3d5 0x3120 0x9f81 0x3e0 0x3317 0x9f1d 0x3e0 0x350e 0x9ebb 0x3e2 0x3705 0x9e5d 0x3ef 0x38fc 0x9dfe 0x3f9 0x3af3 0x9d9c 0x3fb 0x3cea 0x9d3d 0x405 0x3ee1 0x9cdc 0x405 0x40d8 0x9c85 0x408 0x42cf 0x9c34 0x414 0x44c6 0x9be2 0x421 0x46bd 0x9b8c 0x42d 0x48b4 0x9b3b 0x43a 0x4aab 0x9aea 0x446 0x4ca2 0x9a99 0x453 0x4e99 0x9a48 0x45f 0x5090 0x99f0 0x465 0x5287 0x9980 0x44f 0x547e 0x98fa 0x41a 0x5675 0x9873 0x3e6 0x586c 0x9809 0x3d0 0x5a63 0x97b3 0x3c4 0x5c5a 0x9768 0x3bb 0x5e51 0x9729 0x3bb 0x6048 0x96ed 0x3bf 0x6240 0x96b5 0x3c7 0x6437 0x967c 0x3c4 0x662e 0x9646 0x3bb 0x6825 0x9616 0x3bf 0x6a1c 0x95e9 0x3c7 0x6c13 0x95b7 0x3c3 0x6e0a 0x9587 0x3bf 0x7001 0x955b 0x3c7 0x71f8 0x9532 0x3cc 0x73ef 0x950c 0x3d8 0x75e6 0x94e7 0x3e0 0x77dd 0x94c1 0x3e0 0x79d4 0x949e 0x3e5 0x7bcb 0x947f 0x3ec 0x7dc2 0x9460 0x3f1 0x7fb9 0x9443 0x3fe 0x81b0 0x9428 0x40a 0x83a7 0x9409 0x40d 0x859e 0x93ec 0x40f 0x8795 0x93d0 0x41e 0x898c 0x93a7 0x409 0x8b83 0x9367 0x3e2 0x8d7a 0x9319 0x3ce 0x8f71 0x92d6 0x3cd 0x9168 0x92a4 0x3ce 0x935f 0x9275 0x3c7 0x9556 0x924c 0x3cd 0x974d 0x9221 0x3ce 0x9944 0x91f5 0x3c7 0x9b3b 0x91cf 0x3c7 0x9d32 0x91ad 0x3c7 0x9f29 0x918b 0x3cd 0xa120 0x9162 0x3da 0xa318 0x912d 0x3da 0xa50f 0x90ef 0x3cd 0xa706 0x90b7 0x3ce 0xa8fd 0x9082 0x3da 0xaaf4 0x903c 0x3d3 0xaceb 0x8ff2 0x3ba 0xaee2 0x8fc8 0x3b5 0xb0d9 0x8fbc 0x3c2 0xb2d0 0x8fb2 0x3ce 0xb4c7 0x8fa6 0x3e9 0xb6be 0x8f96 0x407 0xb8b5 0x8f6a 0x420 0xbaac 0x8ed6 0x407 0xbca3 0x8d96 0x3f4 0xbe9a 0x8bbe 0x400 0xc091 0x8952 0x423 0xc288 0x8470 0x49a>;
			battery0_profile_t0_num = <0x64>;
			battery0_profile_t1 = <0x0 0xab11 0x468 0x1f7 0xaa7b 0x468 0x3ee 0xaa04 0x480 0x5e5 0xa988 0x474 0x7dc 0xa918 0x482 0x9d3 0xa8a1 0x482 0xbca 0xa825 0x476 0xdc1 0xa7ae 0x475 0xfb8 0xa73d 0x480 0x11af 0xa6c8 0x482 0x13a6 0xa651 0x483 0x159d 0xa5da 0x48c 0x1794 0xa564 0x476 0x198b 0xa4f4 0x48e 0x1b82 0xa47d 0x48e 0x1d79 0xa40c 0x48d 0x1f70 0xa397 0x481 0x2168 0xa32c 0x48f 0x235f 0xa2bb 0x49a 0x2556 0xa247 0x49b 0x274d 0xa1e2 0x4a6 0x2944 0xa172 0x4a8 0x2b3b 0xa100 0x4b0 0x2d32 0xa08b 0x4aa 0x2f29 0xa022 0x4c2 0x3120 0x9fb9 0x4ca 0x3317 0x9f56 0x4c6 0x350e 0x9f00 0x4f2 0x3705 0x9ea5 0x4f4 0x38fc 0x9e3b 0x4fe 0x3af3 0x9dd1 0x50a 0x3cea 0x9d65 0x508 0x3ee1 0x9cf9 0x50f 0x40d8 0x9c9a 0x522 0x42cf 0x9c38 0x524 0x44c6 0x9bdd 0x529 0x46bd 0x9b8a 0x539 0x48b4 0x9b37 0x534 0x4aab 0x9af1 0x548 0x4ca2 0x9aa5 0x54b 0x4e99 0x9a4f 0x54e 0x5090 0x99eb 0x539 0x5287 0x9983 0x526 0x547e 0x9909 0x4f7 0x5675 0x988b 0x4b6 0x586c 0x981e 0x48c 0x5a63 0x97c1 0x46b 0x5c5a 0x9776 0x46d 0x5e51 0x9732 0x463 0x6048 0x96ff 0x471 0x6240 0x96c5 0x462 0x6437 0x968b 0x454 0x662e 0x9658 0x460 0x6825 0x9626 0x464 0x6a1c 0x95f7 0x464 0x6c13 0x95cb 0x474 0x6e0a 0x959d 0x470 0x7001 0x956f 0x470 0x71f8 0x954a 0x481 0x73ef 0x9523 0x47e 0x75e6 0x94f7 0x47f 0x77dd 0x94d0 0x492 0x79d4 0x94b0 0x49a 0x7bcb 0x9491 0x49a 0x7dc2 0x9470 0x49f 0x7fb9 0x944f 0x4ab 0x81b0 0x9434 0x4b2 0x83a7 0x9417 0x4b2 0x859e 0x93fe 0x4b3 0x8795 0x93e0 0x4b3 0x898c 0x93bd 0x4ad 0x8b83 0x939b 0x4a6 0x8d7a 0x9373 0x49c 0x8f71 0x9348 0x488 0x9168 0x931c 0x47c 0x935f 0x92f3 0x476 0x9556 0x92ce 0x476 0x974d 0x92a5 0x475 0x9944 0x927f 0x47b 0x9b3b 0x9260 0x482 0x9d32 0x923e 0x47c 0x9f29 0x9215 0x475 0xa120 0x91ea 0x47b 0xa318 0x91b5 0x47b 0xa50f 0x9176 0x46e 0xa706 0x913e 0x474 0xa8fd 0x9110 0x494 0xaaf4 0x90cd 0x499 0xaceb 0x9080 0x488 0xaee2 0x9056 0x481 0xb0d9 0x9043 0x481 0xb2d0 0x9038 0x497 0xb4c7 0x902e 0x4b4 0xb6be 0x901a 0x4d3 0xb8b5 0x8ff3 0x4f3 0xbaac 0x8f68 0x4e1 0xbca3 0x8e20 0x4cc 0xbe9a 0x8c35 0x4e8 0xc091 0x89a7 0x522 0xc288 0x8444 0x5ac>;
			battery0_profile_t1_num = <0x64>;
			battery0_profile_t2 = <0x0 0xaadf 0x712 0x1f7 0xaa68 0x712 0x3ee 0xa9f9 0x712 0x5e5 0xa988 0x706 0x7dc 0xa911 0x6ec 0x9d3 0xa8a1 0x6fa 0xbca 0xa82a 0x6fa 0xdc1 0xa7ae 0x6fb 0xfb8 0xa738 0x707 0x11af 0xa6ce 0x720 0x13a6 0xa657 0x720 0x159d 0xa5e1 0x739 0x1794 0xa571 0x745 0x198b 0xa500 0x750 0x1b82 0xa48a 0x750 0x1d79 0xa41a 0x751 0x1f70 0xa3aa 0x745 0x2168 0xa33f 0x753 0x235f 0xa2ce 0x75c 0x2556 0xa259 0x75f 0x274d 0xa1ef 0x779 0x2944 0xa184 0x78c 0x2b3b 0xa115 0x784 0x2d32 0xa0ab 0x793 0x2f29 0xa047 0x7b4 0x3120 0x9fdf 0x7b4 0x3317 0x9f83 0x7b8 0x350e 0x9f30 0x7d2 0x3705 0x9ed2 0x7f6 0x38fc 0x9e71 0x80c 0x3af3 0x9dfc 0x814 0x3cea 0x9d72 0x808 0x3ee1 0x9ce6 0x7fe 0x40d8 0x9c6d 0x7fc 0x42cf 0x9c0a 0x7fa 0x44c6 0x9bbe 0x812 0x46bd 0x9b6c 0x7fe 0x48b4 0x9b18 0x7f5 0x4aab 0x9abb 0x7d5 0x4ca2 0x9a5f 0x7c3 0x4e99 0x9a06 0x79f 0x5090 0x99a7 0x773 0x5287 0x9941 0x73a 0x547e 0x98d9 0x711 0x5675 0x9879 0x6e7 0x586c 0x9821 0x6ca 0x5a63 0x97cf 0x6b2 0x5c5a 0x9789 0x6b5 0x5e51 0x9742 0x6a4 0x6048 0x9705 0x6a8 0x6240 0x96cb 0x6ac 0x6437 0x9691 0x6a7 0x662e 0x965c 0x6aa 0x6825 0x9626 0x6a3 0x6a1c 0x95f9 0x6b0 0x6c13 0x95d1 0x6c8 0x6e0a 0x95a3 0x6c4 0x7001 0x9576 0x6c4 0x71f8 0x9550 0x6d8 0x73ef 0x952b 0x6e1 0x75e6 0x9503 0x6e2 0x77dd 0x94dd 0x6e6 0x79d4 0x94bd 0x6ee 0x7bcb 0x949e 0x6f3 0x7dc2 0x947c 0x6f5 0x7fb9 0x945c 0x6f7 0x81b0 0x9443 0x70d 0x83a7 0x942a 0x719 0x859e 0x940e 0x71a 0x8795 0x93f2 0x712 0x898c 0x93d8 0x712 0x8b83 0x93c0 0x713 0x8d7a 0x93a7 0x714 0x8f71 0x9391 0x713 0x9168 0x937b 0x712 0x935f 0x9362 0x713 0x9556 0x9343 0x70e 0x974d 0x9321 0x706 0x9944 0x92ff 0x700 0x9b3b 0x92dc 0x700 0x9d32 0x92ba 0x70c 0x9f29 0x9295 0x719 0xa120 0x926c 0x71f 0xa318 0x923a 0x72a 0xa50f 0x91fe 0x736 0xa706 0x91c7 0x73d 0xa8fd 0x918f 0x74a 0xaaf4 0x9150 0x75e 0xaceb 0x9101 0x764 0xaee2 0x90bb 0x75d 0xb0d9 0x909a 0x76a 0xb2d0 0x908b 0x783 0xb4c7 0x907e 0x7b1 0xb6be 0x906e 0x7ef 0xb8b5 0x9054 0x82d 0xbaac 0x9020 0x882 0xbca3 0x8f73 0x89d 0xbe9a 0x8e01 0x8a8 0xc091 0x8be8 0x909 0xc288 0x87cd 0xa20>;
			battery0_profile_t2_num = <0x64>;
			battery0_profile_t3 = <0x0 0xaaf9 0xead 0x1f7 0xaa6f 0xead 0x3ee 0xa9f3 0xeba 0x5e5 0xa97c 0xead 0x7dc 0xa8ff 0xe88 0x9d3 0xa883 0xe70 0xbca 0xa80c 0xe6f 0xdc1 0xa796 0xe55 0xfb8 0xa719 0xe31 0x11af 0xa6a9 0xe24 0x13a6 0xa633 0xe19 0x159d 0xa5c2 0xe17 0x1794 0xa54b 0xdff 0x198b 0xa4d5 0xdf4 0x1b82 0xa465 0xe00 0x1d79 0xa3ef 0xe01 0x1f70 0xa384 0xe0a 0x2168 0xa30e 0xdf3 0x235f 0xa29e 0xdf7 0x2556 0xa234 0xe16 0x274d 0xa1c4 0xe00 0x2944 0xa158 0xdfb 0x2b3b 0xa0e4 0xddb 0x2d32 0xa07c 0xde0 0x2f29 0xa021 0xdfa 0x3120 0x9fb5 0xde0 0x3317 0x9f5c 0xe04 0x350e 0x9eff 0xe1d 0x3705 0x9e9d 0xe31 0x38fc 0x9e22 0xe2b 0x3af3 0x9d8e 0xe01 0x3cea 0x9ce9 0xdc5 0x3ee1 0x9c58 0xd9d 0x40d8 0x9bde 0xd98 0x42cf 0x9b72 0xd7c 0x44c6 0x9b17 0xd5c 0x46bd 0x9ac6 0xd4a 0x48b4 0x9a72 0xd22 0x4aab 0x9a14 0xcf3 0x4ca2 0x99b8 0xcd0 0x4e99 0x9961 0xcb4 0x5090 0x990b 0xc92 0x5287 0x98b8 0xc76 0x547e 0x9862 0xc51 0x5675 0x9811 0xc2e 0x586c 0x97c4 0xc1c 0x5a63 0x977f 0xc15 0x5c5a 0x973a 0xc07 0x5e51 0x96f8 0xc0c 0x6048 0x96b9 0xc07 0x6240 0x967f 0xc14 0x6437 0x964b 0xc1c 0x662e 0x9615 0xc24 0x6825 0x95e5 0xc39 0x6a1c 0x95b9 0xc46 0x6c13 0x958d 0xc5a 0x6e0a 0x9562 0xc77 0x7001 0x9536 0xc84 0x71f8 0x950d 0xc90 0x73ef 0x94e7 0xca1 0x75e6 0x94c2 0xcb6 0x77dd 0x949f 0xcc7 0x79d4 0x947f 0xce0 0x7bcb 0x9460 0xcf4 0x7dc2 0x9441 0xd00 0x7fb9 0x9422 0xd0d 0x81b0 0x9405 0xd1e 0x83a7 0x93ec 0xd3c 0x859e 0x93d6 0xd5c 0x8795 0x93c3 0xd7b 0x898c 0x93b0 0xd9b 0x8b83 0x939e 0xdb9 0x8d7a 0x938b 0xdd9 0x8f71 0x9378 0xdf7 0x9168 0x9363 0xe1d 0x935f 0x9347 0xe37 0x9556 0x932b 0xe55 0x974d 0x930f 0xe81 0x9944 0x92f0 0xeac 0x9b3b 0x92cd 0xee4 0x9d32 0x92a5 0xf1c 0x9f29 0x9276 0xf4e 0xa120 0x9241 0xf80 0xa318 0x9209 0xfb8 0xa50f 0x91d1 0xffd 0xa706 0x9196 0x1055 0xa8fd 0x914e 0x10a5 0xaaf4 0x90fd 0x10ea 0xaceb 0x90bc 0x1156 0xaee2 0x9094 0x11e6 0xb0d9 0x9078 0x1297 0xb2d0 0x905f 0x1373 0xb4c7 0x9046 0x1489 0xb6be 0x901f 0x15eb 0xb8b5 0x8fce 0x1791 0xbaac 0x8ef5 0x194b 0xbca3 0x8d53 0x1b82 0xbe9a 0x8af0 0x1f33 0xc091 0x8794 0x25a4 0xc288 0x7f53 0x3a46>;
			battery0_profile_t3_num = <0x64>;
			battery0_profile_t4 = <0x0 0xab1e 0x20f1 0x1f7 0xaa63 0x20f1 0x3ee 0xa9cd 0x2147 0x5e5 0xa938 0x213b 0x7dc 0xa8ae 0x2121 0x9d3 0xa825 0x20ef 0xbca 0xa7a3 0x20c9 0xdc1 0xa726 0x2096 0xfb8 0xa6a3 0x2041 0x11af 0xa633 0x201b 0x13a6 0xa5b6 0x1fe7 0x159d 0xa540 0x1f9e 0x1794 0xa4c9 0x1f6c 0x198b 0xa453 0x1f2e 0x1b82 0xa3e3 0x1efc 0x1d79 0xa373 0x1ecd 0x1f70 0xa302 0x1eaf 0x2168 0xa28c 0x1e67 0x235f 0xa21c 0x1e37 0x2556 0xa1ab 0x1e17 0x274d 0xa139 0x1dc4 0x2944 0xa0bf 0x1d92 0x2b3b 0xa056 0x1d61 0x2d32 0x9ff3 0x1d37 0x2f29 0x9f95 0x1d3d 0x3120 0x9f35 0x1d17 0x3317 0x9ec4 0x1cee 0x350e 0x9e49 0x1ca9 0x3705 0x9db5 0x1c3b 0x38fc 0x9d0d 0x1ba2 0x3af3 0x9c68 0x1b2f 0x3cea 0x9bd3 0x1abc 0x3ee1 0x9b4a 0x1a73 0x40d8 0x9adc 0x1a37 0x42cf 0x9a7c 0x1a0a 0x44c6 0x9a2c 0x19f2 0x46bd 0x99e1 0x19d6 0x48b4 0x9997 0x19b3 0x4aab 0x994c 0x199d 0x4ca2 0x9902 0x198e 0x4e99 0x98be 0x1978 0x5090 0x9878 0x1965 0x5287 0x982e 0x1946 0x547e 0x97ea 0x1936 0x5675 0x97a3 0x1924 0x586c 0x975a 0x1924 0x5a63 0x9717 0x1927 0x5c5a 0x96d9 0x1934 0x5e51 0x969c 0x1940 0x6048 0x9664 0x1949 0x6240 0x962e 0x1955 0x6437 0x95fa 0x1972 0x662e 0x95c2 0x197f 0x6825 0x958e 0x1997 0x6a1c 0x9560 0x19c1 0x6c13 0x9532 0x19e2 0x6e0a 0x9509 0x1a03 0x7001 0x94db 0x1a14 0x71f8 0x94b6 0x1a42 0x73ef 0x9490 0x1a67 0x75e6 0x946d 0x1a8d 0x77dd 0x944e 0x1ab7 0x79d4 0x9431 0x1aed 0x7bcb 0x9418 0x1b22 0x7dc2 0x9402 0x1b51 0x7fb9 0x93ec 0x1b90 0x81b0 0x93d6 0x1bdd 0x83a7 0x93c3 0x1c3c 0x859e 0x93ae 0x1c89 0x8795 0x9398 0x1cd1 0x898c 0x9385 0x1d33 0x8b83 0x9370 0x1d9e 0x8d7a 0x9357 0x1e02 0x8f71 0x9340 0x1e76 0x9168 0x9328 0x1f00 0x935f 0x930f 0x1ed5 0x9556 0x92f3 0x1f25 0x974d 0x92d1 0x2081 0x9944 0x92af 0x212b 0x9b3b 0x9286 0x21c6 0x9d32 0x925b 0x2286 0x9f29 0x922c 0x2355 0xa120 0x91f7 0x241c 0xa318 0x91bf 0x2509 0xa50f 0x9183 0x25fc 0xa706 0x9148 0x26fd 0xa8fd 0x9110 0x2849 0xaaf4 0x90d8 0x29b9 0xaceb 0x90a6 0x2b4a 0xaee2 0x907b 0x2d2e 0xb0d9 0x904c 0x2f4e 0xb2d0 0x9013 0x31a2 0xb4c7 0x8fce 0x341f 0xb6be 0x8f6a 0x368c 0xb8b5 0x8ec6 0x38d5 0xbaac 0x8da9 0x3afd 0xbca3 0x8be3 0x3d82 0xbe9a 0x8946 0x4172 0xc091 0x8804 0x3ce8 0xc288 0x8470 0x35c0>;
			battery0_profile_t4_num = <0x64>;
			battery1_profile_t0 = <0x0 0xaa19 0x442 0x208 0xa9ba 0x43e 0x410 0xa940 0x442 0x619 0xa8c8 0x443 0x821 0xa84e 0x449 0xa29 0xa7d3 0x445 0xc31 0xa758 0x44a 0xe3a 0xa6de 0x448 0x1042 0xa664 0x449 0x124a 0xa5eb 0x448 0x1452 0xa56f 0x449 0x165b 0xa4f8 0x44f 0x1863 0xa482 0x452 0x1a6b 0xa40a 0x453 0x1c73 0xa393 0x453 0x1e7b 0xa31f 0x456 0x2084 0xa2aa 0x456 0x228c 0xa236 0x456 0x2494 0xa1c6 0x45a 0x269c 0xa151 0x456 0x28a5 0xa0e4 0x45b 0x2aad 0xa077 0x461 0x2cb5 0xa009 0x45d 0x2ebd 0x9f9e 0x462 0x30c6 0x9f34 0x462 0x32ce 0x9ecd 0x46a 0x34d6 0x9e66 0x469 0x36de 0x9e05 0x474 0x38e7 0x9da1 0x474 0x3aef 0x9d3d 0x474 0x3cf7 0x9cde 0x478 0x3eff 0x9c83 0x488 0x4107 0x9c2a 0x490 0x4310 0x9bd3 0x49e 0x4518 0x9b7d 0x4ab 0x4720 0x9b28 0x4b5 0x4928 0x9ad0 0x4c3 0x4b31 0x9a77 0x4d2 0x4d39 0x9a1e 0x4df 0x4f41 0x99c0 0x4e8 0x5149 0x994e 0x4d3 0x5352 0x98c3 0x49c 0x555a 0x983d 0x46d 0x5762 0x97d4 0x454 0x596a 0x9782 0x450 0x5b72 0x9739 0x44e 0x5d7b 0x96f7 0x44e 0x5f83 0x96b7 0x448 0x618b 0x9680 0x450 0x6393 0x9646 0x44a 0x659c 0x9612 0x450 0x67a4 0x95e2 0x455 0x69ac 0x95ae 0x44a 0x6bb4 0x957f 0x44a 0x6dbd 0x9552 0x44a 0x6fc5 0x9528 0x450 0x71cd 0x94ff 0x451 0x73d5 0x94d9 0x459 0x75dd 0x94b4 0x460 0x77e6 0x9490 0x45e 0x79ee 0x946f 0x462 0x7bf6 0x944e 0x465 0x7dfe 0x942f 0x46b 0x8007 0x9411 0x471 0x820f 0x93f4 0x478 0x8417 0x93d6 0x47e 0x861f 0x93ba 0x481 0x8828 0x939b 0x486 0x8a30 0x936e 0x478 0x8c38 0x9327 0x451 0x8e40 0x92d9 0x443 0x9048 0x92a5 0x454 0x9251 0x927a 0x44e 0x9459 0x9250 0x450 0x9661 0x9224 0x44a 0x9869 0x91f9 0x455 0x9a72 0x91d0 0x44b 0x9c7a 0x91b0 0x456 0x9e82 0x9190 0x456 0xa08a 0x916c 0x456 0xa293 0x9139 0x456 0xa49b 0x90fe 0x458 0xa6a3 0x90c2 0x458 0xa8ab 0x908a 0x457 0xaab4 0x904b 0x45d 0xacbc 0x8ffd 0x450 0xaec4 0x8fc8 0x447 0xb0cc 0x8fba 0x44e 0xb2d4 0x8fb3 0x461 0xb4dd 0x8fa7 0x470 0xb6e5 0x8f96 0x480 0xb8ed 0x8f77 0x49d 0xbaf5 0x8f11 0x492 0xbcfe 0x8de5 0x482 0xbf06 0x8c20 0x496 0xc10e 0x89c4 0x4ba 0xc316 0x8680 0x4f7 0xc51f 0x8155 0x5cf 0xc727 0x812a 0x23fc 0xc92f 0x812a 0x2854>;
			battery1_profile_t0_num = <0x64>;
			battery1_profile_t1 = <0x0 0xaa8c 0x528 0x208 0xaa17 0x528 0x410 0xa99c 0x52d 0x619 0xa921 0x529 0x821 0xa8a6 0x52e 0xa29 0xa828 0x525 0xc31 0xa7ad 0x528 0xe3a 0xa733 0x526 0x1042 0xa6b9 0x520 0x124a 0xa63c 0x51a 0x1452 0xa5c4 0x51b 0x165b 0xa54c 0x51f 0x1863 0xa4d2 0x51c 0x1a6b 0xa45b 0x519 0x1c73 0xa3e5 0x51a 0x1e7b 0xa36e 0x518 0x2084 0xa2fb 0x51e 0x228c 0xa287 0x522 0x2494 0xa215 0x527 0x269c 0xa1a6 0x52d 0x28a5 0xa136 0x535 0x2aad 0xa0c4 0x534 0x2cb5 0xa057 0x542 0x2ebd 0x9fe6 0x53c 0x30c6 0x9f7e 0x548 0x32ce 0x9f20 0x552 0x34d6 0x9ee3 0x580 0x36de 0x9ea2 0x5ac 0x38e7 0x9e22 0x58b 0x3aef 0x9d78 0x572 0x3cf7 0x9cd2 0x56f 0x3eff 0x9c4d 0x578 0x4107 0x9bec 0x587 0x4310 0x9bad 0x5a3 0x4518 0x9b7f 0x5b7 0x4720 0x9b44 0x5bd 0x4928 0x9afb 0x5c7 0x4b31 0x9aa6 0x5d1 0x4d39 0x9a4b 0x5da 0x4f41 0x99e8 0x5d8 0x5149 0x9978 0x5ba 0x5352 0x98f7 0x57f 0x555a 0x9873 0x53e 0x5762 0x97fd 0x50a 0x596a 0x979f 0x4f3 0x5b72 0x974f 0x4e4 0x5d7b 0x970b 0x4e4 0x5f83 0x96cb 0x4de 0x618b 0x968e 0x4d8 0x6393 0x9655 0x4d9 0x659c 0x9621 0x4dd 0x67a4 0x95ed 0x4d8 0x69ac 0x95bb 0x4d8 0x6bb4 0x958e 0x4da 0x6dbd 0x9562 0x4e1 0x6fc5 0x9538 0x4e3 0x71cd 0x9510 0x4e6 0x73d5 0x94ea 0x4ed 0x75dd 0x94c5 0x4f1 0x77e6 0x94a1 0x4f1 0x79ee 0x9480 0x4f7 0x7bf6 0x9461 0x4fe 0x7dfe 0x9440 0x4fe 0x8007 0x9424 0x507 0x820f 0x9408 0x50a 0x8417 0x93ed 0x514 0x861f 0x93d4 0x51d 0x8828 0x93b4 0x511 0x8a30 0x939d 0x51c 0x8c38 0x937d 0x516 0x8e40 0x9353 0x4fd 0x9048 0x932c 0x4ef 0x9251 0x9308 0x4e5 0x9459 0x92e7 0x4e8 0x9661 0x92c0 0x4df 0x9869 0x9298 0x4e1 0x9a72 0x926e 0x4dc 0x9c7a 0x924e 0x4e4 0x9e82 0x922e 0x4e6 0xa08a 0x920c 0x4ed 0xa293 0x91df 0x4f7 0xa49b 0x91a6 0x4fb 0xa6a3 0x9167 0x4fc 0xa8ab 0x9131 0x509 0xaab4 0x90f8 0x510 0xacbc 0x90b0 0x514 0xaec4 0x905e 0x511 0xb0cc 0x9037 0x51b 0xb2d4 0x902a 0x531 0xb4dd 0x901d 0x540 0xb6e5 0x9014 0x553 0xb8ed 0x9001 0x56b 0xbaf5 0x8fd6 0x58c 0xbcfe 0x8f4b 0x5a6 0xbf06 0x8dc8 0x5aa 0xc10e 0x8bae 0x5e9 0xc316 0x88da 0x650 0xc51f 0x85e9 0x9f2 0xc727 0x85e9 0x1ebe 0xc92f 0x85e9 0x31f0>;
			battery1_profile_t1_num = <0x64>;
			battery1_profile_t2 = <0x0 0xaafe 0x9f6 0x208 0xaa74 0x9f4 0x410 0xa9f0 0x9f3 0x619 0xa975 0x9e1 0x821 0xa8f4 0x9d2 0xa29 0xa874 0x9ba 0xc31 0xa7f9 0x9ab 0xe3a 0xa77d 0x997 0x1042 0xa705 0x987 0x124a 0xa68b 0x977 0x1452 0xa613 0x96e 0x165b 0xa59b 0x96d 0x1863 0xa524 0x963 0x1a6b 0xa4ae 0x959 0x1c73 0xa438 0x950 0x1e7b 0xa3c6 0x94d 0x2084 0xa355 0x949 0x228c 0xa2e4 0x94f 0x2494 0xa276 0x953 0x269c 0xa203 0x952 0x28a5 0xa194 0x954 0x2aad 0xa123 0x94d 0x2cb5 0xa0b6 0x958 0x2ebd 0xa04b 0x94f 0x30c6 0x9fe3 0x940 0x32ce 0x9f92 0x961 0x34d6 0x9f52 0x9c9 0x36de 0x9f17 0xa21 0x38e7 0x9eae 0xa1e 0x3aef 0x9e02 0x9d9 0x3cf7 0x9d35 0x986 0x3eff 0x9c84 0x95b 0x4107 0x9bfd 0x94d 0x4310 0x9b96 0x94b 0x4518 0x9b44 0x94b 0x4720 0x9b05 0x956 0x4928 0x9ad2 0x96e 0x4b31 0x9a9c 0x983 0x4d39 0x9a51 0x978 0x4f41 0x99f3 0x955 0x5149 0x9988 0x91f 0x5352 0x9912 0x8e5 0x555a 0x989c 0x8a1 0x5762 0x9831 0x86d 0x596a 0x97d3 0x84e 0x5b72 0x977e 0x82e 0x5d7b 0x9732 0x823 0x5f83 0x96eb 0x81e 0x618b 0x96ac 0x816 0x6393 0x966f 0x810 0x659c 0x963c 0x818 0x67a4 0x9605 0x819 0x69ac 0x95d2 0x823 0x6bb4 0x95a4 0x82f 0x6dbd 0x9574 0x829 0x6fc5 0x9549 0x831 0x71cd 0x9521 0x839 0x73d5 0x94f8 0x846 0x75dd 0x94d2 0x852 0x77e6 0x94af 0x85b 0x79ee 0x948b 0x85c 0x7bf6 0x946b 0x867 0x7dfe 0x944e 0x87d 0x8007 0x942f 0x886 0x820f 0x9412 0x88a 0x8417 0x93f9 0x895 0x861f 0x93df 0x89e 0x8828 0x93c7 0x8a4 0x8a30 0x93b3 0x8af 0x8c38 0x93a4 0x8bc 0x8e40 0x9392 0x8c3 0x9048 0x9382 0x8d5 0x9251 0x936f 0x8ee 0x9459 0x9359 0x903 0x9661 0x933c 0x91c 0x9869 0x9319 0x92f 0x9a72 0x92f1 0x94f 0x9c7a 0x92ce 0x975 0x9e82 0x92a8 0x99a 0xa08a 0x9287 0x9dc 0xa293 0x925e 0xa22 0xa49b 0x9229 0xa61 0xa6a3 0x91e8 0xaa0 0xa8ab 0x91ab 0xae3 0xaab4 0x9175 0xb3d 0xacbc 0x9136 0xb9b 0xaec4 0x90e1 0xbf0 0xb0cc 0x9097 0xc50 0xb2d4 0x9071 0xccf 0xb4dd 0x905b 0xd62 0xb6e5 0x904a 0xe14 0xb8ed 0x9035 0xedd 0xbaf5 0x9018 0xfcf 0xbcfe 0x8fd7 0x10f3 0xbf06 0x8f0d 0x1206 0xc10e 0x8d6c 0x135c 0xc316 0x8b21 0x1563 0xc51f 0x87fd 0x181e 0xc727 0x830a 0x1cb6 0xc92f 0x82df 0x26c6>;
			battery1_profile_t2_num = <0x64>;
			battery1_profile_t3 = <0x0 0xaaf2 0x14be 0x208 0xaa41 0x14be 0x410 0xa9a7 0x1512 0x619 0xa913 0x14f7 0x821 0xa887 0x14de 0xa29 0xa802 0x14bf 0xc31 0xa780 0x1498 0xe3a 0xa706 0x147e 0x1042 0xa68c 0x145b 0x124a 0xa611 0x143b 0x1452 0xa597 0x1407 0x165b 0xa521 0x13dc 0x1863 0xa4ad 0x13a9 0x1a6b 0xa439 0x1379 0x1c73 0xa3c9 0x134b 0x1e7b 0xa35b 0x1328 0x2084 0xa2ed 0x130f 0x228c 0xa280 0x12ef 0x2494 0xa215 0x12e5 0x269c 0xa1a3 0x12b5 0x28a5 0xa136 0x12a1 0x2aad 0xa0cb 0x128f 0x2cb5 0xa05e 0x1267 0x2ebd 0xa002 0x1262 0x30c6 0x9fba 0x1293 0x32ce 0x9f70 0x12d9 0x34d6 0x9f20 0x1303 0x36de 0x9eb2 0x1306 0x38e7 0x9e11 0x129b 0x3aef 0x9d4f 0x1218 0x3cf7 0x9c91 0x1199 0x3eff 0x9bf8 0x114e 0x4107 0x9b7d 0x1139 0x4310 0x9b14 0x111c 0x4518 0x9abb 0x1113 0x4720 0x9a70 0x110f 0x4928 0x9a2a 0x1110 0x4b31 0x99e0 0x111a 0x4d39 0x998c 0x10fa 0x4f41 0x992f 0x10be 0x5149 0x98d0 0x108a 0x5352 0x9871 0x105f 0x555a 0x9815 0x1034 0x5762 0x97bd 0x1014 0x596a 0x976b 0x1004 0x5b72 0x9720 0x1013 0x5d7b 0x96da 0xffe 0x5f83 0x9696 0xffc 0x618b 0x9659 0xff6 0x6393 0x961f 0xffd 0x659c 0x95eb 0x1013 0x67a4 0x95b5 0x100c 0x69ac 0x9585 0x102f 0x6bb4 0x9557 0x1038 0x6dbd 0x952b 0x1049 0x6fc5 0x9501 0x105e 0x71cd 0x94d9 0x107c 0x73d5 0x94b4 0x108b 0x75dd 0x9490 0x10a2 0x77e6 0x946e 0x10bb 0x79ee 0x944c 0x10d2 0x7bf6 0x942e 0x10e9 0x7dfe 0x9412 0x10ff 0x8007 0x93fd 0x111a 0x820f 0x93eb 0x1148 0x8417 0x93db 0x1173 0x861f 0x93cb 0x11a7 0x8828 0x93c0 0x11e6 0x8a30 0x93b4 0x121e 0x8c38 0x93a7 0x1266 0x8e40 0x9394 0x12a9 0x9048 0x9383 0x130d 0x9251 0x9374 0x136f 0x9459 0x935c 0x13d5 0x9661 0x9340 0x143c 0x9869 0x9326 0x14d5 0x9a72 0x930a 0x155f 0x9c7a 0x92e6 0x15e1 0x9e82 0x92c2 0x167f 0xa08a 0x929b 0x1731 0xa293 0x926d 0x17f3 0xa49b 0x9236 0x18b0 0xa6a3 0x91f8 0x1973 0xa8ab 0x91bc 0x1a3a 0xaab4 0x9180 0x1b35 0xacbc 0x913e 0x1c38 0xaec4 0x90f1 0x1d3d 0xb0cc 0x90a4 0x1e4a 0xb2d4 0x906f 0x1f8b 0xb4dd 0x9051 0x20f0 0xb6e5 0x903a 0x22a4 0xb8ed 0x9021 0x246a 0xbaf5 0x9001 0x2669 0xbcfe 0x8fc8 0x28a7 0xbf06 0x8f44 0x2aed 0xc10e 0x8e07 0x2c94 0xc316 0x8bfd 0x2e77 0xc51f 0x8943 0x2e5d 0xc727 0x8662 0x16a1 0xc92f 0x8662 0x2822>;
			battery1_profile_t3_num = <0x64>;
			battery1_profile_t4 = <0x0 0xab0e 0x2760 0x208 0xaa4a 0x275c 0x410 0xa99a 0x2754 0x619 0xa8f6 0x26e2 0x821 0xa857 0x2653 0xa29 0xa7c1 0x25b9 0xc31 0xa736 0x2529 0xe3a 0xa6b3 0x24a9 0x1042 0xa632 0x2424 0x124a 0xa5b1 0x2399 0x1452 0xa533 0x231b 0x165b 0xa4b8 0x22ad 0x1863 0xa441 0x223d 0x1a6b 0xa3d0 0x21d9 0x1c73 0xa35f 0x2185 0x1e7b 0xa2ef 0x2135 0x2084 0xa27e 0x20e1 0x228c 0xa20e 0x2092 0x2494 0xa1a3 0x2055 0x269c 0xa133 0x1fff 0x28a5 0xa0c3 0x1fa4 0x2aad 0xa058 0x1f59 0x2cb5 0x9fff 0x1f36 0x2ebd 0x9fb2 0x1f3e 0x30c6 0x9f61 0x1f67 0x32ce 0x9f02 0x1f59 0x34d6 0x9e88 0x1f18 0x36de 0x9de9 0x1eaa 0x38e7 0x9d24 0x1dfb 0x3aef 0x9c62 0x1d52 0x3cf7 0x9bb6 0x1cd9 0x3eff 0x9b25 0x1c89 0x4107 0x9aa6 0x1c54 0x4310 0x9a3f 0x1c30 0x4518 0x99e1 0x1c18 0x4720 0x9990 0x1c13 0x4928 0x9949 0x1c11 0x4b31 0x9900 0x1c07 0x4d39 0x98b6 0x1bfa 0x4f41 0x986b 0x1bed 0x5149 0x981d 0x1be0 0x5352 0x97d2 0x1bd3 0x555a 0x9788 0x1bc2 0x5762 0x973e 0x1ba6 0x596a 0x96f6 0x1b9c 0x5b72 0x96b4 0x1b9c 0x5d7b 0x9673 0x1b9c 0x5f83 0x9638 0x1b97 0x618b 0x95fb 0x1b8c 0x6393 0x95c3 0x1b95 0x659c 0x9590 0x1b9c 0x67a4 0x955c 0x1b96 0x69ac 0x952f 0x1baa 0x6bb4 0x94fe 0x1bb4 0x6dbd 0x94d2 0x1bbe 0x6fc5 0x94a8 0x1bd7 0x71cd 0x9481 0x1bef 0x73d5 0x945c 0x1c06 0x75dd 0x943b 0x1c23 0x77e6 0x941a 0x1c39 0x79ee 0x9401 0x1c58 0x7bf6 0x93eb 0x1c7f 0x7dfe 0x93d7 0x1ca7 0x8007 0x93c6 0x1ce4 0x820f 0x93b6 0x1d21 0x8417 0x93a8 0x1d5f 0x861f 0x9396 0x1da6 0x8828 0x9385 0x1e10 0x8a30 0x9376 0x1e76 0x8c38 0x9364 0x1ee2 0x8e40 0x9353 0x1f70 0x9048 0x933e 0x1ffd 0x9251 0x932a 0x20a3 0x9459 0x9311 0x2141 0x9661 0x92f7 0x21e0 0x9869 0x92de 0x22b5 0x9a72 0x92bf 0x2384 0x9c7a 0x929e 0x2459 0x9e82 0x9277 0x252c 0xa08a 0x9250 0x2609 0xa293 0x9223 0x26eb 0xa49b 0x91f6 0x27d7 0xa6a3 0x91c8 0x28da 0xa8ab 0x9193 0x29ca 0xaab4 0x915c 0x2ab9 0xacbc 0x911d 0x2b93 0xaec4 0x90da 0x2c7a 0xb0cc 0x909e 0x2d72 0xb2d4 0x906e 0x2e6c 0xb4dd 0x904a 0x2f7a 0xb6e5 0x902a 0x3091 0xb8ed 0x9009 0x31b9 0xbaf5 0x8fe3 0x3306 0xbcfe 0x8fa6 0x3462 0xbf06 0x8f32 0x35c3 0xc10e 0x8e45 0x3710 0xc316 0x8cb4 0x3895 0xc51f 0x8aef 0x2443 0xc727 0x8a87 0x2da8 0xc92f 0x8a87 0x3a4e>;
			battery1_profile_t4_num = <0x64>;
		};
	};

	fragment@17 {
		target = <0xffffffff>;

		__overlay__ {
			d_u2_enhance = <0x3>;
			d_u2_term_ref = <0x2>;
			d_u2_vrt_ref = <0x7>;
			h_u2_enhance = <0x2>;
			h_u2_term_ref = <0x3>;
			h_u2_vrt_ref = <0x7>;
			status = "okay";
		};
	};

	fragment@18 {
		target = <0xffffffff>;

		__overlay__ {

			fingerprint_sensor@0 {
				compatible = "mediatek,mtk_finger";
				fingerprint,navigation_adjust1 = <0x0>;
				fingerprint_eint_gpio = <0xffffffff 0x5 0x0>;
				interrupt-parent = <0xffffffff>;
				interrupts = <0x5 0x8 0x5 0x0>;
				pinctrl-0 = <0x16>;
				pinctrl-1 = <0x17>;
				pinctrl-10 = <0x20>;
				pinctrl-11 = <0x21>;
				pinctrl-12 = <0x22>;
				pinctrl-13 = <0x23>;
				pinctrl-14 = <0x24>;
				pinctrl-15 = <0x25>;
				pinctrl-2 = <0x18>;
				pinctrl-3 = <0x19>;
				pinctrl-4 = <0x1a>;
				pinctrl-5 = <0x1b>;
				pinctrl-6 = <0x1c>;
				pinctrl-7 = <0x1d>;
				pinctrl-8 = <0x1e>;
				pinctrl-9 = <0x1f>;
				pinctrl-names = "fingerprint_spi_default", "fingerprint_spi_cs_low", "fingerprint_spi_cs_high", "fingerprint_spi_miso_low", "fingerprint_spi_miso_high", "fingerprint_spi_mosi_low", "fingerprint_spi_mosi_high", "fingerprint_spi_mclk_low", "fingerprint_spi_mclk_high", "fingerprint_rst_low", "fingerprint_rst_high", "fingerprint_power_low", "fingerprint_power_high", "fingerprint_eint_as_int", "fingerprint_eint_in_low", "fingerprint_eint_in_float";
				reg = <0x0>;
				spi-max-frequency = <0x493e00>;
				status = "okay";
			};
		};
	};

	fragment@19 {
		target = <0xffffffff>;

		__overlay__ {

			fingerprint_eint_as_int {
				phandle = <0x23>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x500>;
					slew-rate = <0x0>;
				};
			};

			fingerprint_eint_in_float {
				phandle = <0x25>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x500>;
					slew-rate = <0x0>;
				};
			};

			fingerprint_eint_in_low {
				phandle = <0x24>;

				pins_cmd_dat {
					bias-pull-down = <0x0>;
					pinmux = <0x500>;
					slew-rate = <0x0>;
				};
			};

			fingerprint_power_high {
				phandle = <0x22>;
			};

			fingerprint_power_low {
				phandle = <0x21>;
			};

			fingerprint_rst_high {
				phandle = <0x20>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xab00>;
					slew-rate = <0x1>;
				};
			};

			fingerprint_rst_low {
				phandle = <0x1f>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xab00>;
					slew-rate = <0x1>;
				};
			};

			fingerprint_spi_cs_high {
				phandle = <0x18>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9c01>;
					slew-rate = <0x1>;
				};
			};

			fingerprint_spi_cs_low {
				phandle = <0x17>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9c01>;
					slew-rate = <0x1>;
				};
			};

			fingerprint_spi_default {
				phandle = <0x16>;
			};

			fingerprint_spi_mclk_high {
				phandle = <0x1e>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9e01>;
					slew-rate = <0x1>;
				};
			};

			fingerprint_spi_mclk_low {
				phandle = <0x1d>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9e01>;
					slew-rate = <0x1>;
				};
			};

			fingerprint_spi_miso_high {
				phandle = <0x1a>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x9b01>;
				};
			};

			fingerprint_spi_miso_low {
				phandle = <0x19>;

				pins_cmd_dat {
					bias-pull-up = <0x0>;
					pinmux = <0x9b01>;
					slew-rate = <0x0>;
				};
			};

			fingerprint_spi_mosi_high {
				phandle = <0x1c>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9d01>;
					slew-rate = <0x1>;
				};
			};

			fingerprint_spi_mosi_low {
				phandle = <0x1b>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9d01>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@2 {
		target = <0xffffffff>;

		__overlay__ {

			ant_pins_all_default {
				phandle = <0x1>;
			};

			ant_pins_id0_bias_down {
				phandle = <0x4>;

				pins_cmd_dat {
					bias-pull-down;
					pinmux = <0xb000>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id0_bias_up {
				phandle = <0x3>;

				pins_cmd_dat {
					bias-pull-up;
					pinmux = <0xb000>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id0_default {
				phandle = <0x2>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0xb000>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id1_bias_down {
				phandle = <0x7>;

				pins_cmd_dat {
					bias-pull-down;
					pinmux = <0xaf00>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id1_bias_up {
				phandle = <0x6>;

				pins_cmd_dat {
					bias-pull-up;
					pinmux = <0xaf00>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id1_default {
				phandle = <0x5>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0xaf00>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id2_bias_down {
				phandle = <0xa>;

				pins_cmd_dat {
					bias-pull-down;
					pinmux = <0xac00>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id2_bias_up {
				phandle = <0x9>;

				pins_cmd_dat {
					bias-pull-up;
					pinmux = <0xac00>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id2_default {
				phandle = <0x8>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0xac00>;
					slew-rate = <0x0>;
				};
			};
		};
	};

	fragment@20 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "huawei,huawei_wifi_info";
			ini_type = "BZD_W00";
			power_limit = "KOB2";
			status = "okay";
			wifi_chiptype = "WIFI_MTK_6631";
		};
	};

	fragment@21 {
		target = <0xffffffff>;

		__overlay__ {

			lcd_kit_kob2_auo_otm1901a_5p2_1080p_video_default {
				compatible = "auo_otm1901a_5p2_1080p_video_default";
				lcd-kit,backlight-cmds = <0x15 0x1 0x0 0x0 0x0 0x0 0x2 0x51 0x0>;
				lcd-kit,check-reg-support = <0x0>;
				lcd-kit,effect-on-cmds = <0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x55 0x81>;
				lcd-kit,esd-support = <0x0>;
				lcd-kit,h-back-porch = <0x19>;
				lcd-kit,h-front-porch = <0x19>;
				lcd-kit,h-pulse-width = <0xe>;
				lcd-kit,hs-off-stage = <0x0 0x0 0x0>;
				lcd-kit,hs-on-stage = <0x0 0x0 0x0>;
				lcd-kit,inversion-support = <0x1>;
				lcd-kit,lcd-iovcc = <0x2 0xb1 0x1b7740>;
				lcd-kit,lcd-reset = <0x2 0x2d 0x0>;
				lcd-kit,lcd-vci = <0x2 0xab 0x2dc6c0>;
				lcd-kit,lp-off-stage = <0x0 0x0 0x0>;
				lcd-kit,lp-on-stage = <0x0 0x0 0x0>;
				lcd-kit,mipi-clk-post-adjust = <0x0>;
				lcd-kit,mipi-lane-nums = <0x4>;
				lcd-kit,mipi-lp11-flag = <0x0>;
				lcd-kit,mipi-non-continue-enable = <0x0>;
				lcd-kit,panel-bgr-fmt = <0x0>;
				lcd-kit,panel-bias-ic-ctrl-type = <0x3>;
				lcd-kit,panel-bl-ic-ctrl-type = <0x3>;
				lcd-kit,panel-bl-max = <0x2710>;
				lcd-kit,panel-bl-max-nit = <0x1c2>;
				lcd-kit,panel-bl-maxnit-command = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xdb>;
				lcd-kit,panel-bl-maxnit-command-state = "dsi_lp_mode";
				lcd-kit,panel-bl-min = <0x64>;
				lcd-kit,panel-bpp = <0x2>;
				lcd-kit,panel-cmd-type = <0x8>;
				lcd-kit,panel-data-rate = <0x1f4>;
				lcd-kit,panel-density = <0x140>;
				lcd-kit,panel-dsi-switch-mode = <0x0>;
				lcd-kit,panel-dsi-switch-mode-en = <0x0>;
				lcd-kit,panel-fbk-div = <0x1>;
				lcd-kit,panel-getblmaxnit-type = <0x1>;
				lcd-kit,panel-gpio-offset = <0x149>;
				lcd-kit,panel-height = <0x85>;
				lcd-kit,panel-lcm-type = <0x2>;
				lcd-kit,panel-ldi-data-padding = <0x0>;
				lcd-kit,panel-ldi-dsi-mode = <0x1>;
				lcd-kit,panel-ldi-packet-size = <0x100>;
				lcd-kit,panel-ldi-ps = <0x2>;
				lcd-kit,panel-ldi-trans-seq = <0x0>;
				lcd-kit,panel-name = "unknown_OTM1901A 5.2' VIDEO TFT 1080 x 1920 DEFAULT";
				lcd-kit,panel-off-cmds = <0x5 0x1 0x0 0x0 0x3c 0x1 0x2 0x28 0x0 0x5 0x1 0x0 0x0 0x78 0x1 0x2 0x10 0x0>;
				lcd-kit,panel-on-always-reset = <0x1>;
				lcd-kit,panel-on-cmds = <0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0x0 0x29 0x1 0x0 0x0 0xa 0x0 0x4 0xff 0x19 0x1 0x1 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0x80 0x29 0x1 0x0 0x0 0xa 0x0 0x3 0xff 0x19 0x1 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0x88 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xf3 0x0 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0xb0 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xca 0x1 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0xb1 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xca 0x1 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0xb3 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xca 0x40 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0x0 0x29 0x1 0x0 0x0 0xa 0x0 0x4 0xff 0xff 0xff 0xff 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x35 0x1 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x53 0x24 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x55 0x0 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x5e 0x28 0x5 0x1 0x0 0x0 0x78 0x1 0x2 0x11 0x0 0x5 0x1 0x0 0x0 0x64 0x1 0x2 0x29 0x0>;
				lcd-kit,panel-orientation = <0x1>;
				lcd-kit,panel-pxl-clk = <0x0>;
				lcd-kit,panel-pxl-clk-div = <0x0>;
				lcd-kit,panel-type = <0x1>;
				lcd-kit,panel-vfp-lp = <0x0>;
				lcd-kit,panel-width = <0x4b>;
				lcd-kit,panel-xres = <0x438>;
				lcd-kit,panel-yres = <0x780>;
				lcd-kit,power-off-stage = <0x7 0x0 0x0 0x6 0x0 0x0 0x8 0x0 0x0 0x5 0x0 0x0 0x1 0x0 0xf 0x2 0x0 0x0>;
				lcd-kit,power-on-stage = <0x2 0x1 0x4 0x1 0x1 0x7 0x7 0x1 0xa 0x5 0x0 0xf 0x5 0x1 0xf 0x6 0x1 0x0 0x8 0x1 0x0>;
				lcd-kit,project-id-support = <0x1>;
				lcd-kit,pt-support = <0x1>;
				lcd-kit,ssc-disable = <0x1>;
				lcd-kit,tp-color-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xda>;
				lcd-kit,tp-color-support = <0x0>;
				lcd-kit,tp-reset = <0x2 0xae 0x0>;
				lcd-kit,v-back-porch = <0x4d>;
				lcd-kit,v-front-porch = <0x65>;
				lcd-kit,v-pulse-width = <0x8>;
				phandle = <0x4a>;
			};
		};
	};

	fragment@22 {
		target = <0xffffffff>;

		__overlay__ {

			lcd_kit_kob2_boe_ft8201_8p1 {
				compatible = "boe_ft8201_8p1_800p_video";
				lcd-kit,backlight-cmds = <0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x90 0x0 0x0>;
				lcd-kit,backlight-cmds-state = "dsi_lp_mode";
				lcd-kit,cabc-moving-cmds = <0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x95 0x3 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x0 0x2f>;
				lcd-kit,cabc-moving-cmds-state = "dsi_lp_mode";
				lcd-kit,cabc-off-cmds = <0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x95 0x0 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x0 0x2f>;
				lcd-kit,cabc-off-cmds-state = "dsi_lp_mode";
				lcd-kit,cabc-still-cmds = <0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x95 0x2 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x0 0x2f>;
				lcd-kit,cabc-still-cmds-state = "dsi_lp_mode";
				lcd-kit,cabc-ui-cmds = <0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x95 0x1 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x0 0x2f>;
				lcd-kit,cabc-ui-cmds-state = "dsi_lp_mode";
				lcd-kit,check-reg-support = <0x0>;
				lcd-kit,esd-support = <0x0>;
				lcd-kit,h-back-porch = <0x2e>;
				lcd-kit,h-front-porch = <0x2e>;
				lcd-kit,h-pulse-width = <0xe>;
				lcd-kit,hs-off-stage = <0x0 0x0 0x0>;
				lcd-kit,hs-on-stage = <0x0 0x0 0x0>;
				lcd-kit,inversion-support = <0x1>;
				lcd-kit,lcd-iovcc = <0x2 0xb1 0x1b7740>;
				lcd-kit,lcd-reset = <0x2 0x2d 0x0>;
				lcd-kit,lcd-vci = <0x2 0xab 0x2dc6c0>;
				lcd-kit,lp-off-stage = <0x0 0x0 0x0>;
				lcd-kit,lp-on-stage = <0x0 0x0 0x0>;
				lcd-kit,mipi-clk-post-adjust = <0x0>;
				lcd-kit,mipi-lane-nums = <0x4>;
				lcd-kit,mipi-lp11-flag = <0x0>;
				lcd-kit,mipi-non-continue-enable = <0x0>;
				lcd-kit,mipi-rg-vrefsel-vcm-adjust = <0x4>;
				lcd-kit,panel-bgr-fmt = <0x0>;
				lcd-kit,panel-bias-ic-ctrl-type = <0x3>;
				lcd-kit,panel-bl-ic-ctrl-type = <0x3>;
				lcd-kit,panel-bl-max = <0x5ea>;
				lcd-kit,panel-bl-max-nit = <0x1c2>;
				lcd-kit,panel-bl-maxnit-command = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xdb>;
				lcd-kit,panel-bl-maxnit-command-state = "dsi_lp_mode";
				lcd-kit,panel-bl-min = <0x14>;
				lcd-kit,panel-bpp = <0x2>;
				lcd-kit,panel-cmd-type = <0x8>;
				lcd-kit,panel-data-rate = <0x1f4>;
				lcd-kit,panel-density = <0x140>;
				lcd-kit,panel-dsi-switch-mode = <0x0>;
				lcd-kit,panel-dsi-switch-mode-en = <0x0>;
				lcd-kit,panel-fbk-div = <0x1>;
				lcd-kit,panel-getblmaxnit-type = <0x1>;
				lcd-kit,panel-gpio-offset = <0x149>;
				lcd-kit,panel-height = <0xad>;
				lcd-kit,panel-lcm-type = <0x2>;
				lcd-kit,panel-ldi-data-padding = <0x0>;
				lcd-kit,panel-ldi-dsi-mode = <0x1>;
				lcd-kit,panel-ldi-packet-size = <0x100>;
				lcd-kit,panel-ldi-ps = <0x2>;
				lcd-kit,panel-ldi-trans-seq = <0x0>;
				lcd-kit,panel-name = "BOE_FT8201 8P1 VIDEO TFT 800 x 1280";
				lcd-kit,panel-off-cmds = <0x39 0x1 0x0 0x0 0xa 0x1 0x2 0x28 0x0 0x39 0x1 0x0 0x0 0x78 0x1 0x2 0x10 0x0 0x39 0x1 0x0 0x0 0xa 0x0 0x2 0x4 0x5a 0x39 0x1 0x0 0x0 0x96 0x1 0x2 0x5 0x5a>;
				lcd-kit,panel-off-cmds-state = "dsi_lp_mode";
				lcd-kit,panel-on-always-reset = <0x1>;
				lcd-kit,panel-on-cmds = <0x39 0x1 0x0 0x0 0x78 0x1 0x2 0x11 0x0 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0xa 0x39 0x1 0x0 0x0 0xa 0x0 0x11 0x80 0xb7 0x6f 0x3 0x0 0xe 0x1a 0x29 0x39 0x4a 0x4e 0x7e 0x49 0x7f 0xbd 0x8e 0xa4 0x39 0x1 0x0 0x0 0xa 0x0 0x11 0x90 0x74 0x6c 0x59 0x45 0x31 0x1f 0xb 0x0 0xe 0x1a 0x29 0x39 0x4a 0x4e 0x7e 0x49 0x39 0x1 0x0 0x0 0xa 0x0 0xd 0xa0 0x7f 0xbd 0x8e 0xa4 0x74 0x6c 0x59 0x45 0x31 0x1f 0xb 0x0 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x19 0x39 0x1 0x0 0x0 0xa 0x0 0x11 0x80 0xe8 0xd5 0xc5 0xb8 0xad 0xa5 0x9d 0x98 0x92 0x8c 0x88 0x83 0x55 0xc5 0xfc 0xcf 0x39 0x1 0x0 0x0 0xa 0x0 0x11 0x90 0xfc 0xcf 0xfc 0xcf 0xcf 0xcf 0xf 0xff 0xaf 0xb5 0x71 0xe 0x6c 0x4a 0x69 0x8 0x39 0x1 0x0 0x0 0xa 0x0 0x4 0xa0 0x0 0x2 0x4 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x39 0x1 0x0 0x0 0xa 0x0 0x7 0x90 0xff 0xf 0x0 0x0 0x2c 0x1 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x0 0x2f 0x39 0x1 0x0 0x0 0x10 0x1 0x2 0x29 0x0>;
				lcd-kit,panel-on-cmds-state = "dsi_lp_mode";
				lcd-kit,panel-orientation = <0x1>;
				lcd-kit,panel-pxl-clk = <0x0>;
				lcd-kit,panel-pxl-clk-div = <0x0>;
				lcd-kit,panel-type = <0x1>;
				lcd-kit,panel-vfp-lp = <0x0>;
				lcd-kit,panel-width = <0x6c>;
				lcd-kit,panel-xres = <0x320>;
				lcd-kit,panel-yres = <0x500>;
				lcd-kit,power-off-stage = <0x6 0x0 0x0 0x1 0x0 0xf 0x7 0x0 0x0 0x8 0x0 0x0 0x5 0x0 0x0 0x2 0x0 0x0>;
				lcd-kit,power-on-stage = <0x2 0x1 0x4 0x1 0x1 0xa 0x7 0x1 0x2 0x5 0x1 0x2 0x8 0x0 0x8 0x5 0x0 0x8 0x7 0x1 0x2 0x5 0x1 0x23 0x6 0x1 0x0 0x8 0x1 0x0>;
				lcd-kit,project-id-support = <0x1>;
				lcd-kit,pt-support = <0x1>;
				lcd-kit,scan-forword-cmds;
				lcd-kit,scan-forword-cmds-state = "dsi_lp_mode";
				lcd-kit,scan-revert-cmds;
				lcd-kit,scan-revert-cmds-state = "dsi_lp_mode";
				lcd-kit,ssc-disable = <0x1>;
				lcd-kit,tp-color-cmds;
				lcd-kit,tp-color-support = <0x0>;
				lcd-kit,tp-reset = <0x2 0xae 0x0>;
				lcd-kit,v-back-porch = <0x4d>;
				lcd-kit,v-front-porch = <0x65>;
				lcd-kit,v-pulse-width = <0x8>;
				phandle = <0x4b>;
			};
		};
	};

	fragment@23 {
		target = <0xffffffff>;

		__overlay__ {

			lcd_kit_kob2_inx_ft8201_8p1 {
				compatible = "inx_ft8201_8p1_800p_video";
				lcd-kit,backlight-cmds = <0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x90 0x0 0x0>;
				lcd-kit,backlight-cmds-state = "dsi_lp_mode";
				lcd-kit,cabc-moving-cmds = <0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x95 0x3 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x0 0x2f>;
				lcd-kit,cabc-moving-cmds-state = "dsi_lp_mode";
				lcd-kit,cabc-off-cmds = <0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x95 0x0 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x0 0x2f>;
				lcd-kit,cabc-off-cmds-state = "dsi_lp_mode";
				lcd-kit,cabc-still-cmds = <0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x95 0x2 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x0 0x2f>;
				lcd-kit,cabc-still-cmds-state = "dsi_lp_mode";
				lcd-kit,cabc-ui-cmds = <0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x95 0x1 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x0 0x2f>;
				lcd-kit,cabc-ui-cmds-state = "dsi_lp_mode";
				lcd-kit,check-reg-support = <0x0>;
				lcd-kit,esd-support = <0x0>;
				lcd-kit,h-back-porch = <0x2e>;
				lcd-kit,h-front-porch = <0x2e>;
				lcd-kit,h-pulse-width = <0xe>;
				lcd-kit,hs-off-stage = <0x0 0x0 0x0>;
				lcd-kit,hs-on-stage = <0x0 0x0 0x0>;
				lcd-kit,inversion-support = <0x1>;
				lcd-kit,lcd-iovcc = <0x2 0xb1 0x1b7740>;
				lcd-kit,lcd-reset = <0x2 0x2d 0x0>;
				lcd-kit,lcd-vci = <0x2 0xab 0x2dc6c0>;
				lcd-kit,lp-off-stage = <0x0 0x0 0x0>;
				lcd-kit,lp-on-stage = <0x0 0x0 0x0>;
				lcd-kit,mipi-clk-post-adjust = <0x0>;
				lcd-kit,mipi-lane-nums = <0x4>;
				lcd-kit,mipi-lp11-flag = <0x0>;
				lcd-kit,mipi-non-continue-enable = <0x0>;
				lcd-kit,mipi-rg-vrefsel-vcm-adjust = <0x4>;
				lcd-kit,panel-bgr-fmt = <0x0>;
				lcd-kit,panel-bias-ic-ctrl-type = <0x3>;
				lcd-kit,panel-bl-ic-ctrl-type = <0x3>;
				lcd-kit,panel-bl-max = <0x68c>;
				lcd-kit,panel-bl-max-nit = <0x1c2>;
				lcd-kit,panel-bl-maxnit-command = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xdb>;
				lcd-kit,panel-bl-maxnit-command-state = "dsi_lp_mode";
				lcd-kit,panel-bl-min = <0x14>;
				lcd-kit,panel-bpp = <0x2>;
				lcd-kit,panel-cmd-type = <0x8>;
				lcd-kit,panel-data-rate = <0x1f4>;
				lcd-kit,panel-density = <0x140>;
				lcd-kit,panel-dsi-switch-mode = <0x0>;
				lcd-kit,panel-dsi-switch-mode-en = <0x0>;
				lcd-kit,panel-fbk-div = <0x1>;
				lcd-kit,panel-getblmaxnit-type = <0x1>;
				lcd-kit,panel-gpio-offset = <0x149>;
				lcd-kit,panel-height = <0xad>;
				lcd-kit,panel-lcm-type = <0x2>;
				lcd-kit,panel-ldi-data-padding = <0x0>;
				lcd-kit,panel-ldi-dsi-mode = <0x1>;
				lcd-kit,panel-ldi-packet-size = <0x100>;
				lcd-kit,panel-ldi-ps = <0x2>;
				lcd-kit,panel-ldi-trans-seq = <0x0>;
				lcd-kit,panel-name = "INX_FT8201 8p1 VIDEO TFT 800 x 1280";
				lcd-kit,panel-off-cmds = <0x39 0x1 0x0 0x0 0xa 0x1 0x2 0x28 0x0 0x39 0x1 0x0 0x0 0x78 0x1 0x2 0x10 0x0 0x39 0x1 0x0 0x0 0xa 0x0 0x2 0x4 0x5a 0x39 0x1 0x0 0x0 0x96 0x1 0x2 0x5 0x5a>;
				lcd-kit,panel-off-cmds-state = "dsi_lp_mode";
				lcd-kit,panel-on-always-reset = <0x1>;
				lcd-kit,panel-on-cmds = <0x39 0x1 0x0 0x0 0x78 0x1 0x2 0x11 0x0 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x19 0x39 0x1 0x0 0x0 0xa 0x0 0x11 0x80 0xe8 0xd4 0xc3 0xb6 0xad 0xa4 0x9d 0x96 0x90 0x8b 0x87 0x83 0x55 0xc5 0xfc 0xcf 0x39 0x1 0x0 0x0 0xa 0x0 0x11 0x90 0xfc 0xcf 0xfc 0xcf 0xcf 0xcf 0xf 0xff 0xaf 0xb5 0x71 0xe 0x6c 0x4a 0x69 0x8 0x39 0x1 0x0 0x0 0xa 0x0 0x8 0xa0 0x0 0x2 0x4 0x0 0x0 0x0 0x0 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x5a 0x23 0x39 0x1 0x0 0x0 0xa 0x0 0xa 0x90 0xff 0xf 0x0 0x0 0x2c 0x1 0x0 0x0 0x0 0x39 0x1 0x0 0x0 0xa 0x0 0x3 0x50 0x0 0x2f 0x39 0x1 0x0 0x0 0x10 0x1 0x2 0x29 0x0>;
				lcd-kit,panel-on-cmds-state = "dsi_lp_mode";
				lcd-kit,panel-orientation = <0x1>;
				lcd-kit,panel-pxl-clk = <0x0>;
				lcd-kit,panel-pxl-clk-div = <0x0>;
				lcd-kit,panel-type = <0x1>;
				lcd-kit,panel-vfp-lp = <0x0>;
				lcd-kit,panel-width = <0x6c>;
				lcd-kit,panel-xres = <0x320>;
				lcd-kit,panel-yres = <0x500>;
				lcd-kit,power-off-stage = <0x6 0x0 0x0 0x1 0x0 0xf 0x7 0x0 0x0 0x8 0x0 0x0 0x5 0x0 0x0 0x2 0x0 0x0>;
				lcd-kit,power-on-stage = <0x2 0x1 0x4 0x1 0x1 0xa 0x7 0x1 0x2 0x5 0x1 0x2 0x8 0x0 0x8 0x5 0x0 0x8 0x7 0x1 0x2 0x5 0x1 0x23 0x6 0x1 0x0 0x8 0x1 0x0>;
				lcd-kit,project-id-support = <0x1>;
				lcd-kit,pt-support = <0x1>;
				lcd-kit,scan-forword-cmds;
				lcd-kit,scan-forword-cmds-state = "dsi_lp_mode";
				lcd-kit,scan-revert-cmds;
				lcd-kit,scan-revert-cmds-state = "dsi_lp_mode";
				lcd-kit,ssc-disable = <0x1>;
				lcd-kit,tp-color-cmds;
				lcd-kit,tp-color-support = <0x0>;
				lcd-kit,tp-reset = <0x2 0xae 0x0>;
				lcd-kit,v-back-porch = <0x4d>;
				lcd-kit,v-front-porch = <0x65>;
				lcd-kit,v-pulse-width = <0x8>;
				phandle = <0x4c>;
			};
		};
	};

	fragment@24 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "huawei,lcd_panel_type";
			detect_type = <0x2>;
			gpio_id = <0xa9 0xb2>;
			iovcc_lcd = <0x2 0xb1>;
			product_id = <0x3ed>;
			support_lcd_type = "LCD_KIT";
		};
	};

	fragment@25 {
		target = <0xffffffff>;

		__overlay__ {

			lcm_rst_out0_gpio {
				phandle = <0x26>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x2d00>;
					slew-rate = <0x1>;
				};
			};

			lcm_rst_out1_gpio {
				phandle = <0x27>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x2d00>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@26 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x26>;
			pinctrl-1 = <0x27>;
			pinctrl-names = "lcm_rst_out0_gpio", "lcm_rst_out1_gpio";
			status = "okay";
		};
	};

	fragment@27 {
		target = <0xffffffff>;

		__overlay__ {

			ktz,ktz8864@11 {
				bl_level = <0x2d5>;
				bl_on_kernel_mdelay = <0x14>;
				bl_on_lk_mdelay = <0xa>;
				compatible = "ktz,ktz8864";
				ktz8864_auto_freq_high = <0x0>;
				ktz8864_auto_freq_low = <0x0>;
				ktz8864_bl_brightness_lsb = <0x0>;
				ktz8864_bl_brightness_msb = <0x0>;
				ktz8864_bl_config_1 = <0x49>;
				ktz8864_bl_config_2 = <0x85>;
				ktz8864_bl_en = <0x17>;
				ktz8864_bl_max_level = <0x800>;
				ktz8864_bl_option_1 = <0x46>;
				ktz8864_bl_option_2 = <0x75>;
				ktz8864_display_bias_config_1 = <0x19>;
				ktz8864_display_bias_config_2 = <0x11>;
				ktz8864_display_bias_config_3 = <0x0>;
				ktz8864_enable_vsp_vsn = <0x99>;
				ktz8864_hidden_reg_support = <0x0>;
				ktz8864_hw_en_gpio = <0xaa>;
				ktz8864_hw_en_pull_low = <0x1>;
				ktz8864_hw_enable = <0x1>;
				ktz8864_i2c_bus_id = <0x6>;
				ktz8864_lcm_boost_bias = <0x24>;
				ktz8864_only_backlight = <0x1>;
				ktz8864_pull_boost_support = <0x1>;
				ktz8864_pull_down_boost = <0x14>;
				ktz8864_pull_up_boost = <0x24>;
				ktz8864_support = <0x1>;
				ktz8864_vneg_bias = <0x1e>;
				ktz8864_vpos_bias = <0x1e>;
				reg = <0x11>;
			};

			nt,nt50356@11 {
				bl_level = <0x2d5>;
				bl_on_kernel_mdelay = <0x14>;
				bl_on_lk_mdelay = <0xa>;
				compatible = "nt,nt50356";
				nt50356_auto_freq_high = <0x0>;
				nt50356_auto_freq_low = <0x0>;
				nt50356_bl_brightness_lsb = <0x0>;
				nt50356_bl_brightness_msb = <0x0>;
				nt50356_bl_config_1 = <0xe9>;
				nt50356_bl_config_2 = <0x85>;
				nt50356_bl_current_config = <0x80>;
				nt50356_bl_en = <0x17>;
				nt50356_bl_max_level = <0x800>;
				nt50356_bl_option_1 = <0x46>;
				nt50356_bl_option_2 = <0x75>;
				nt50356_check_fault_support = <0x1>;
				nt50356_display_bias_config_1 = <0x19>;
				nt50356_display_bias_config_2 = <0x11>;
				nt50356_display_bias_config_3 = <0x0>;
				nt50356_enable_vsp_vsn = <0x99>;
				nt50356_extend_rev_support = <0x1>;
				nt50356_hw_en_gpio = <0xaa>;
				nt50356_hw_en_pull_low = <0x1>;
				nt50356_hw_enable = <0x1>;
				nt50356_i2c_bus_id = <0x6>;
				nt50356_lcm_boost_bias = <0x24>;
				nt50356_only_backlight = <0x1>;
				nt50356_pull_boost_support = <0x0>;
				nt50356_pull_down_boost = <0x14>;
				nt50356_pull_down_vneg = <0xe>;
				nt50356_pull_down_vpos = <0xe>;
				nt50356_pull_up_boost = <0x24>;
				nt50356_pull_up_vneg = <0x1e>;
				nt50356_pull_up_vpos = <0x1e>;
				nt50356_reg_config_a9 = <0x29>;
				nt50356_reg_config_e8 = <0x6f>;
				nt50356_reg_config_e9 = <0xde>;
				nt50356_support = <0x1>;
				nt50356_vneg_bias = <0x1e>;
				nt50356_vpos_bias = <0x1e>;
				reg = <0x11>;
			};

			ti,lm36274@11 {
				bl_level = <0x2d5>;
				bl_on_kernel_mdelay = <0x14>;
				bl_on_lk_mdelay = <0xa>;
				compatible = "ti,lm36274";
				lm36274_auto_freq_high = <0x0>;
				lm36274_auto_freq_low = <0x0>;
				lm36274_bl_brightness_lsb = <0x0>;
				lm36274_bl_brightness_msb = <0x0>;
				lm36274_bl_config_1 = <0x49>;
				lm36274_bl_config_2 = <0x85>;
				lm36274_bl_en = <0x17>;
				lm36274_bl_max_level = <0x800>;
				lm36274_bl_option_1 = <0x46>;
				lm36274_bl_option_2 = <0x75>;
				lm36274_display_bias_config_1 = <0x19>;
				lm36274_display_bias_config_2 = <0x11>;
				lm36274_display_bias_config_3 = <0x0>;
				lm36274_extend_rev_support = <0x1>;
				lm36274_hidden_reg_support = <0x1>;
				lm36274_hw_en_gpio = <0xaa>;
				lm36274_hw_en_pull_low = <0x1>;
				lm36274_hw_enable = <0x1>;
				lm36274_i2c_bus_id = <0x6>;
				lm36274_lcm_boost_bias = <0x24>;
				lm36274_only_backlight = <0x1>;
				lm36274_support = <0x1>;
				lm36274_vneg_bias = <0x1e>;
				lm36274_vpos_bias = <0x1e>;
				reg = <0x11>;
			};
		};
	};

	fragment@28 {
		target = <0xffffffff>;

		__overlay__ {

			consys_default {
				phandle = <0x28>;
			};

			gpslna@0 {
				phandle = <0x29>;

				pins_cmd_dat {
					bias-disable;
					output-low;
					pinmux = <0x5b00>;
					slew-rate = <0x0>;
				};
			};

			gpslna@1 {
				phandle = <0x2a>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x5b00>;
					slew-rate = <0x1>;
				};
			};

			gpslna@2 {
				phandle = <0x2b>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x5b00>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@29 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x28>;
			pinctrl-1 = <0x29>;
			pinctrl-2 = <0x2a>;
			pinctrl-3 = <0x2b>;
			pinctrl-names = "default", "gps_lna_state_init", "gps_lna_state_oh", "gps_lna_state_ol";
			status = "okay";
		};
	};

	fragment@3 {
		target = <0xffffffff>;

		__overlay__ {
			debounce-interval = <0xf>;
			gpio_count = <0x1>;
			pinctrl-0 = <0xb>;
			pinctrl-1 = <0xc>;
			pinctrl-names = "default", "idle";
		};
	};

	fragment@30 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "huawei,huawei_scp_info";
			product_number = <0x1>;
			status = "okay";
		};
	};

	fragment@31 {
		target = <0xffffffff>;

		__overlay__ {

			akm09918@0C {
				compatible = "mediatek,akm09918";
				direction = <0x6>;
				i2c_addr = <0xc 0x0 0x0 0x0>;
				i2c_num = <0x5>;
				is_batch_supported = <0x1>;
				reg = <0xc>;
				status = "okay";
			};

			memsic@30 {
				compatible = "mediatek,mmc5603";
				direction = <0x5>;
				i2c_addr = <0x30 0x0 0x0 0x0>;
				i2c_num = <0x5>;
				is_batch_supported = <0x1>;
				reg = <0x30>;
				status = "okay";
			};
		};
	};

	fragment@32 {
		target = <0xffffffff>;

		__overlay__ {
			bias = <0x7a4b0>;
			compatible = "hisi,shell-temp";
			count = <0x7>;
			interval = <0x1388>;
			ntc_para = "2000", "80000", "-20000";
			status = "ok";
			tsensor_para = "10000", "100000", "0";

			sensors {

				sensor0 {
					coef = "1215", "655", "198", "468", "2617", "1959", "16398";
					type = "msm_therm";
				};

				sensor1 {
					coef = "4045", "492", "813", "231", "-895", "-1911", "-17654";
					type = "pa_therm0";
				};

				sensor2 {
					coef = "857000", "6407000", "15901000", "17728000", "24706000", "26262000", "51406000";
					type = "battery";
				};

				sensor3 {
					coef = "-15155", "-8338", "-9332", "-10193", "-9578", "-9750", "-17546";
					type = "COOL_THERM";
				};
			};
		};
	};

	fragment@33 {
		target = <0xffffffff>;

		__overlay__ {
			bias = <0x78f3a>;
			compatible = "hisi,shell-temp";
			count = <0x7>;
			interval = <0x1388>;
			ntc_para = "2000", "80000", "-20000";
			status = "ok";
			tsensor_para = "10000", "100000", "0";

			sensors {

				sensor0 {
					coef = "-437", "978", "386", "-513", "312", "-988", "-1731";
					type = "msm_therm";
				};

				sensor1 {
					coef = "-764", "-194", "-528", "-1024", "13", "2062", "11296";
					type = "pa_therm0";
				};

				sensor2 {
					coef = "-1015000", "-1242000", "6517000", "8203000", "16753000", "19570000", "41288000";
					type = "battery";
				};

				sensor3 {
					coef = "89", "-2487", "-2948", "-2735", "-4027", "-3332", "-7108";
					type = "COOL_THERM";
				};
			};
		};
	};

	fragment@34 {
		target = <0xffffffff>;

		__overlay__ {
			bias = <0x468c5>;
			compatible = "hisi,shell-temp";
			count = <0x7>;
			interval = <0x1388>;
			ntc_para = "2000", "80000", "-20000";
			status = "ok";
			tsensor_para = "10000", "100000", "0";

			sensors {

				sensor0 {
					coef = "7868", "3090", "4798", "3558", "3045", "2862", "8174";
					type = "msm_therm";
				};

				sensor1 {
					coef = "1987", "91", "-203", "129", "-471", "-224", "-3469";
					type = "pa_therm0";
				};

				sensor2 {
					coef = "21575000", "11398000", "11074000", "7645000", "8745000", "6943000", "12791000";
					type = "battery";
				};

				sensor3 {
					coef = "-3357", "-2356", "-3050", "-3876", "-3868", "-3954", "-6246";
					type = "COOL_THERM";
				};
			};
		};
	};

	fragment@35 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x2c>;
			pinctrl-1 = <0x2d>;
			pinctrl-2 = <0x2e>;
			pinctrl-3 = <0x2f>;
			pinctrl-4 = <0x30>;
			pinctrl-5 = <0x31>;
			pinctrl-6 = <0x32>;
			pinctrl-7 = <0x33>;
			pinctrl-names = "aud_clk_mosi_off", "aud_clk_mosi_on", "aud_clk_miso_off", "aud_clk_miso_on", "aud_dat_mosi_off", "aud_dat_mosi_on", "aud_dat_miso_off", "aud_dat_miso_on";
			status = "okay";
		};
	};

	fragment@36 {
		target = <0xffffffff>;

		__overlay__ {

			aud_clk_miso_off {
				phandle = <0x2e>;

				pins_cmd0_dat {
					pinmux = <0x8c00>;
				};
			};

			aud_clk_miso_on {
				phandle = <0x2f>;

				pins_cmd0_dat {
					pinmux = <0x8c01>;
				};
			};

			aud_clk_mosi_off {
				phandle = <0x2c>;

				pins_cmd0_dat {
					pinmux = <0x8800>;
				};
			};

			aud_clk_mosi_on {
				phandle = <0x2d>;

				pins_cmd0_dat {
					pinmux = <0x8801>;
				};
			};

			aud_dat_miso_off {
				phandle = <0x32>;

				pins_cmd1_dat {
					bias-disable;
					input-enable;
					pinmux = <0x8e00>;
					slew-rate = <0x0>;
				};

				pins_cmd2_dat {
					bias-disable;
					input-enable;
					pinmux = <0x8f00>;
					slew-rate = <0x0>;
				};
			};

			aud_dat_miso_on {
				phandle = <0x33>;

				pins_cmd1_dat {
					pinmux = <0x8e01>;
				};

				pins_cmd2_dat {
					pinmux = <0x8f01>;
				};
			};

			aud_dat_mosi_off {
				phandle = <0x30>;

				pins_cmd1_dat {
					bias-disable;
					input-enable;
					pinmux = <0x8a00>;
					slew-rate = <0x0>;
				};

				pins_cmd2_dat {
					bias-disable;
					input-enable;
					pinmux = <0x8b00>;
					slew-rate = <0x0>;
				};
			};

			aud_dat_mosi_on {
				phandle = <0x31>;

				pins_cmd1_dat {
					pinmux = <0x8a01>;
				};

				pins_cmd2_dat {
					pinmux = <0x8b01>;
				};
			};
		};
	};

	fragment@37 {
		target = <0xffffffff>;

		__overlay__ {
			simple-pa-gpio-enale = <0xffffffff 0x96 0x0>;
		};
	};

	fragment@38 {
		target = <0xffffffff>;

		__overlay__ {
			audio_param_ce_path = "odm/etc/audio/audio_param_ce";
			audio_param_path = "odm/etc/audio/audio_param";
			hw_extra_latency = "80";
		};
	};

	fragment@39 {
		target = <0xffffffff>;

		__overlay__ {
			accdet-mic-mode = <0x1>;
			accdet-mic-vol = <0x6>;
			accdet-plugout-debounce = <0x1>;
			headset-eint-level-pol = <0x8>;
			headset-four-key-threshold = <0x0 0x3a 0x79 0xc0 0x190>;
			headset-mode-setting = <0x500 0x500 0x1 0x1f0 0x800 0x800 0x20 0x44>;
			headset-three-key-threshold = <0x0 0x50 0xdc 0x190>;
			headset-three-key-threshold-CDD = <0x0 0x79 0xc0 0x258>;
			pinctrl-0 = <0x34>;
			pinctrl-1 = <0x35>;
			pinctrl-names = "default", "state_eint_as_int";
			status = "okay";

			hs_auto_calib {
				key_media_max_value = <0x78>;
				key_media_min_value = <0x0>;
				key_vol_down_max_value = <0x190>;
				key_vol_down_min_value = <0xc0>;
				key_vol_up_max_value = <0xbf>;
				key_vol_up_min_value = <0x79>;
				status = "ok";
			};
		};
	};

	fragment@4 {
		target = <0xffffffff>;

		__overlay__ {

			ant_cable_det_default {
				phandle = <0xb>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x200>;
					slew-rate = <0x0>;
				};
			};

			ant_cable_det_idle {
				phandle = <0xc>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x200>;
					slew-rate = <0x0>;
				};
			};
		};
	};

	fragment@40 {
		target = <0xffffffff>;

		__overlay__ {

			accdetdefault {
				phandle = <0x34>;
			};

			accdeteint@0 {
				phandle = <0x35>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x900>;
					slew-rate = <0x0>;
				};
			};
		};
	};

	fragment@41 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@42 {
		target = <0xffffffff>;

		__overlay__ {
			AUXADC_CH = <0x0>;
			NTC_TABLE = <0x8>;
			OVER_CRITICAL_L = <0x2fc44>;
			PUP_R = <0x9218>;
			PUP_VOLT = <0x708>;
			compatible = "mediatek,therm_ntc_bts";
		};
	};

	fragment@43 {
		target = <0xffffffff>;

		__overlay__ {
			AUXADC_CH = <0x1>;
			NTC_TABLE = <0x8>;
			OVER_CRITICAL_L = <0x2fc44>;
			PUP_R = <0x9218>;
			PUP_VOLT = <0x708>;
			compatible = "mediatek,therm_ntc_btsmdpa";
		};
	};

	fragment@44 {
		target = <0xffffffff>;

		__overlay__ {
			AUXADC_CH = <0x3>;
			NTC_TABLE = <0x8>;
			OVER_CRITICAL_L = <0x2fc44>;
			PUP_R = <0x9218>;
			PUP_VOLT = <0x708>;
			compatible = "mediatek,therm_ntc_usb";
		};
	};

	fragment@45 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,therm_ntc_charger";
		};
	};

	fragment@46 {
		target = <0xffffffff>;

		__overlay__ {
			hardware_version = "SH1BZDM02";
			mtk,board_name = "BZD_W00_VC";
			mtk,boardid = <0x4 0x4 0x5 0x2>;
			mtk,product_name = "BZD-W00";
		};
	};

	fragment@47 {
		target = <0xffffffff>;

		__overlay__ {
			expect_value = <0x851>;
		};
	};

	fragment@48 {
		target = <0xffffffff>;

		__overlay__ {
			card_tray_gpio = <0x178>;
		};
	};

	fragment@49 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "singleap,wifionly";
			is_wifionly = [31 00];
			status = "okay";
		};
	};

	fragment@5 {
		target = <0xffffffff>;

		__overlay__ {

			led@0 {
				compatible = "mediatek,red";
				data = <0x1>;
				led_mode = <0x3>;
				max_brightness = <0x2>;
				phandle = <0x41>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@1 {
				compatible = "mediatek,green";
				data = <0x2>;
				led_mode = <0x3>;
				max_brightness = <0x2>;
				phandle = <0x42>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@2 {
				compatible = "mediatek,blue";
				data = <0x3>;
				led_mode = <0x3>;
				max_brightness = <0x2>;
				phandle = <0x43>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@3 {
				compatible = "mediatek,jogball-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x44>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@4 {
				compatible = "mediatek,keyboard-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x45>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@5 {
				compatible = "mediatek,button-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x46>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@6 {
				compatible = "mediatek,lcd-backlight";
				data = <0x1>;
				led_mode = <0x5>;
				phandle = <0x47>;
				pwm_config = <0x0 0x3 0x0 0x0 0x0>;
			};

			vibrator@0 {
				compatible = "mediatek,vibrator";
				phandle = <0x48>;
				vib_limit = <0x9>;
				vib_timer = <0x19>;
				vib_vol = <0xb>;
			};
		};
	};

	fragment@50 {
		target = <0xffffffff>;

		__overlay__ {

			adc_channel@ {
				compatible = "mediatek,adc_channel";
				mediatek,adc_fdd_rf_params_dynamic_custom_ch = <0x2>;
				mediatek,temperature0 = <0x0>;
				mediatek,temperature1 = <0x1>;
				status = "okay";
			};
		};
	};

	fragment@51 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,clkbuf-config = <0x2 0x1 0x1 0x2 0x0 0x0 0x0>;
			mediatek,clkbuf-driving-current = <0x1 0x1 0x1 0x1 0x1 0x1 0x1>;
			mediatek,clkbuf-quantity = <0x7>;
			status = "okay";
		};
	};

	fragment@52 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			cap_touch@5d {
				compatible = "mediatek,cap_touch";
				phandle = <0x4d>;
				reg = <0x5d>;
				status = "okay";
			};
		};
	};

	fragment@53 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@54 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@55 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			ext_buck_lp4@57 {
				compatible = "mediatek,ext_buck_lp4";
				phandle = <0x51>;
				reg = <0x57>;
				status = "okay";
			};

			ext_buck_lp4x@50 {
				compatible = "mediatek,ext_buck_lp4x";
				phandle = <0x52>;
				reg = <0x50>;
				status = "okay";
			};

			nfc@08 {
				compatible = "mediatek,nfc";
				phandle = <0x50>;
				reg = <0x8>;
				status = "okay";
			};

			slave_charger@4b {
				compatible = "mediatek,slave_charger";
				phandle = <0x4f>;
				reg = <0x4b>;
				status = "okay";
			};

			speaker_amp@34 {
				compatible = "mediatek,speaker_amp";
				phandle = <0x4e>;
				reg = <0x34>;
				status = "okay";
			};
		};
	};

	fragment@56 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@57 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x33e140>;
			mediatek,use-push-pull;

			subpmic_pmu@34 {
				compatible = "mediatek,subpmic_pmu";
				phandle = <0x53>;
				reg = <0x34>;
				status = "okay";
			};

			usb_type_c@4e {
				compatible = "mediatek,usb_type_c";
				phandle = <0x54>;
				reg = <0x4e>;
				status = "okay";
			};
		};
	};

	fragment@58 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			ext_buck_vgpu@55 {
				compatible = "mediatek,ext_buck_vgpu";
				phandle = <0x55>;
				reg = <0x55>;
				status = "okay";
			};
		};
	};

	fragment@59 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@6 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0xd>;
			pinctrl-1 = <0xe>;
			pinctrl-2 = <0xf>;
			pinctrl-names = "g_redEnDefault", "g_redEnLow", "g_redEnHigh";
			status = "okay";
		};
	};

	fragment@60 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@61 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@62 {
		target = <0xffffffff>;

		__overlay__ {
			GPIO_FDD_BAND_SUPPORT_DETECT_1ST_PIN = <0xffffffff 0xa6 0x0>;
			GPIO_FDD_BAND_SUPPORT_DETECT_2ND_PIN = <0xffffffff 0xa5 0x0>;
			GPIO_FDD_BAND_SUPPORT_DETECT_3RD_PIN = <0xffffffff 0xa4 0x0>;
			GPIO_FDD_BAND_SUPPORT_DETECT_4TH_PIN = <0xffffffff 0xa3 0x0>;
			GPIO_FDD_BAND_SUPPORT_DETECT_5TH_PIN = <0xffffffff 0xa7 0x0>;
			GPIO_SIM1_HOT_PLUG = <0xffffffff 0x2f 0x0>;
			GPIO_SIM1_SCLK = <0xffffffff 0x26 0x0>;
			GPIO_SIM1_SIO = <0xffffffff 0x28 0x0>;
			GPIO_SIM1_SRST = <0xffffffff 0x27 0x0>;
			GPIO_SIM2_HOT_PLUG = <0xffffffff 0x2e 0x0>;
			GPIO_SIM2_SCLK = <0xffffffff 0x25 0x0>;
			GPIO_SIM2_SIO = <0xffffffff 0x23 0x0>;
			GPIO_SIM2_SRST = <0xffffffff 0x24 0x0>;
		};
	};

	fragment@63 {
		target = <0xffffffff>;

		__overlay__ {
			gpio_init_default = <0x0 0x0 0x0 0x0 0x1 0x1 0x1 0x1 0x0 0x0 0x0 0x1 0x1 0x1 0x2 0x0 0x0 0x0 0x1 0x1 0x1 0x3 0x0 0x0 0x0 0x1 0x1 0x1 0x4 0x5 0x0 0x0 0x1 0x1 0x0 0x5 0x0 0x0 0x0 0x1 0x1 0x0 0x6 0x0 0x0 0x0 0x1 0x0 0x0 0x7 0x0 0x0 0x0 0x1 0x1 0x0 0x8 0x7 0x0 0x0 0x1 0x1 0x0 0x9 0x0 0x0 0x0 0x1 0x1 0x0 0xa 0x0 0x0 0x0 0x1 0x0 0x0 0xb 0x0 0x0 0x0 0x1 0x1 0x0 0xc 0x0 0x0 0x0 0x1 0x1 0x0 0xd 0x3 0x0 0x0 0x1 0x0 0x0 0xe 0x3 0x1 0x0 0x0 0x0 0x0 0xf 0x3 0x1 0x0 0x0 0x0 0x0 0x10 0x3 0x1 0x0 0x0 0x0 0x0 0x11 0x6 0x0 0x0 0x1 0x0 0x0 0x12 0x6 0x1 0x0 0x0 0x0 0x0 0x13 0x6 0x1 0x0 0x0 0x0 0x0 0x14 0x6 0x1 0x0 0x0 0x0 0x0 0x15 0x3 0x0 0x0 0x1 0x1 0x0 0x16 0x3 0x0 0x0 0x1 0x0 0x0 0x17 0x0 0x0 0x0 0x1 0x1 0x0 0x18 0x3 0x0 0x0 0x1 0x0 0x0 0x19 0x1 0x0 0x0 0x1 0x0 0x0 0x1a 0x1 0x1 0x0 0x0 0x0 0x0 0x1b 0x1 0x1 0x0 0x0 0x0 0x0 0x1c 0x1 0x1 0x0 0x0 0x0 0x0 0x1d 0x1 0x1 0x0 0x0 0x0 0x1 0x1e 0x1 0x0 0x0 0x1 0x1 0x1 0x1f 0x1 0x0 0x0 0x1 0x1 0x1 0x20 0x1 0x0 0x0 0x1 0x1 0x1 0x21 0x1 0x0 0x0 0x1 0x1 0x1 0x22 0x1 0x0 0x0 0x1 0x1 0x1 0x23 0x1 0x0 0x0 0x1 0x1 0x0 0x24 0x1 0x1 0x0 0x0 0x0 0x0 0x25 0x1 0x1 0x0 0x0 0x0 0x0 0x26 0x1 0x1 0x0 0x0 0x0 0x0 0x27 0x1 0x1 0x0 0x0 0x0 0x0 0x28 0x1 0x0 0x0 0x0 0x1 0x0 0x29 0x1 0x0 0x0 0x0 0x0 0x0 0x2a 0x0 0x0 0x0 0x1 0x0 0x0 0x2b 0x1 0x1 0x0 0x0 0x0 0x0 0x2c 0x1 0x0 0x0 0x1 0x0 0x0 0x2d 0x0 0x1 0x0 0x0 0x0 0x0 0x2e 0x1 0x0 0x0 0x1 0x1 0x0 0x2f 0x1 0x0 0x0 0x1 0x1 0x0 0x30 0x1 0x0 0x0 0x1 0x1 0x1 0x31 0x1 0x0 0x0 0x1 0x1 0x1 0x32 0x1 0x0 0x0 0x1 0x1 0x1 0x33 0x1 0x0 0x0 0x1 0x1 0x1 0x34 0x1 0x1 0x0 0x1 0x0 0x0 0x35 0x1 0x1 0x0 0x1 0x0 0x0 0x36 0x1 0x1 0x0 0x1 0x0 0x0 0x37 0x1 0x1 0x0 0x1 0x0 0x0 0x38 0x1 0x1 0x0 0x1 0x0 0x0 0x39 0x1 0x1 0x0 0x1 0x0 0x0 0x3a 0x0 0x0 0x0 0x1 0x0 0x0 0x3b 0x1 0x0 0x0 0x1 0x0 0x0 0x3c 0x1 0x0 0x0 0x1 0x0 0x0 0x3d 0x1 0x0 0x0 0x1 0x0 0x0 0x3e 0x1 0x0 0x0 0x1 0x0 0x0 0x3f 0x1 0x0 0x0 0x1 0x0 0x0 0x40 0x1 0x0 0x0 0x1 0x0 0x0 0x41 0x1 0x0 0x0 0x1 0x0 0x0 0x42 0x1 0x0 0x0 0x1 0x0 0x0 0x43 0x1 0x0 0x0 0x1 0x0 0x0 0x44 0x1 0x0 0x0 0x1 0x0 0x0 0x45 0x1 0x1 0x0 0x1 0x0 0x0 0x46 0x1 0x1 0x0 0x1 0x0 0x0 0x47 0x1 0x1 0x0 0x1 0x0 0x0 0x48 0x1 0x1 0x0 0x1 0x0 0x0 0x49 0x1 0x1 0x0 0x1 0x0 0x0 0x4a 0x1 0x1 0x0 0x1 0x0 0x0 0x4b 0x1 0x1 0x0 0x1 0x0 0x0 0x4c 0x1 0x1 0x0 0x1 0x0 0x0 0x4d 0x1 0x1 0x0 0x1 0x0 0x0 0x4e 0x1 0x1 0x0 0x1 0x0 0x0 0x4f 0x1 0x0 0x0 0x1 0x0 0x0 0x50 0x1 0x0 0x0 0x1 0x0 0x0 0x51 0x1 0x0 0x0 0x1 0x1 0x1 0x52 0x1 0x0 0x0 0x1 0x1 0x1 0x53 0x1 0x0 0x0 0x1 0x1 0x1 0x54 0x1 0x0 0x0 0x1 0x1 0x1 0x55 0x1 0x1 0x0 0x1 0x0 0x0 0x56 0x1 0x1 0x0 0x1 0x0 0x0 0x57 0x0 0x1 0x0 0x0 0x0 0x0 0x58 0x0 0x1 0x0 0x1 0x0 0x0 0x59 0x1 0x0 0x0 0x1 0x0 0x0 0x5a 0x2 0x1 0x0 0x0 0x0 0x0 0x5b 0x0 0x1 0x0 0x1 0x0 0x0 0x5c 0x1 0x1 0x0 0x0 0x0 0x0 0x5d 0x1 0x0 0x0 0x1 0x1 0x0 0x5e 0x1 0x0 0x0 0x1 0x1 0x0 0x5f 0x1 0x0 0x0 0x1 0x1 0x0 0x60 0x1 0x1 0x0 0x0 0x0 0x0 0x61 0x0 0x1 0x0 0x0 0x0 0x0 0x62 0x0 0x1 0x0 0x0 0x0 0x0 0x63 0x1 0x1 0x0 0x0 0x0 0x0 0x64 0x1 0x1 0x0 0x0 0x0 0x0 0x65 0x0 0x1 0x0 0x0 0x0 0x0 0x66 0x0 0x1 0x0 0x0 0x0 0x0 0x67 0x1 0x0 0x0 0x1 0x1 0x1 0x68 0x1 0x0 0x0 0x1 0x1 0x1 0x69 0x1 0x0 0x0 0x1 0x1 0x1 0x6a 0x1 0x0 0x0 0x1 0x1 0x1 0x6b 0x2 0x1 0x0 0x0 0x0 0x0 0x6c 0x1 0x1 0x0 0x0 0x0 0x0 0x6d 0x2 0x0 0x0 0x1 0x1 0x0 0x6e 0x0 0x0 0x0 0x1 0x0 0x0 0x6f 0x0 0x0 0x0 0x1 0x0 0x0 0x70 0x0 0x0 0x0 0x1 0x0 0x0 0x71 0x0 0x0 0x0 0x1 0x0 0x0 0x72 0x0 0x0 0x0 0x1 0x0 0x0 0x73 0x0 0x0 0x0 0x1 0x0 0x0 0x74 0x0 0x0 0x0 0x1 0x0 0x0 0x75 0x0 0x0 0x0 0x1 0x0 0x0 0x76 0x0 0x0 0x0 0x1 0x0 0x0 0x77 0x0 0x0 0x0 0x1 0x0 0x0 0x78 0x0 0x0 0x0 0x1 0x0 0x0 0x79 0x0 0x0 0x0 0x1 0x0 0x0 0x7a 0x1 0x0 0x0 0x1 0x1 0x1 0x7b 0x1 0x0 0x0 0x1 0x1 0x1 0x7c 0x1 0x1 0x0 0x0 0x0 0x1 0x7d 0x1 0x0 0x0 0x1 0x1 0x1 0x7e 0x1 0x0 0x0 0x1 0x1 0x1 0x7f 0x1 0x0 0x0 0x1 0x1 0x1 0x80 0x1 0x0 0x0 0x1 0x1 0x1 0x81 0x1 0x0 0x0 0x1 0x1 0x1 0x82 0x1 0x0 0x0 0x1 0x1 0x1 0x83 0x1 0x0 0x0 0x1 0x0 0x1 0x84 0x1 0x0 0x0 0x1 0x1 0x1 0x85 0x1 0x1 0x1 0x0 0x0 0x1 0x86 0x1 0x0 0x0 0x1 0x0 0x1 0x87 0x1 0x1 0x0 0x0 0x0 0x0 0x88 0x1 0x1 0x0 0x0 0x0 0x0 0x89 0x1 0x1 0x0 0x0 0x0 0x0 0x8a 0x1 0x1 0x0 0x0 0x0 0x0 0x8b 0x1 0x1 0x0 0x0 0x0 0x0 0x8c 0x1 0x0 0x0 0x1 0x0 0x0 0x8d 0x1 0x0 0x0 0x1 0x0 0x0 0x8e 0x1 0x0 0x0 0x1 0x0 0x0 0x8f 0x1 0x0 0x0 0x1 0x0 0x0 0x90 0x1 0x0 0x0 0x1 0x0 0x0 0x91 0x1 0x1 0x1 0x0 0x0 0x0 0x92 0x1 0x0 0x0 0x1 0x0 0x0 0x93 0x1 0x1 0x0 0x0 0x0 0x0 0x94 0x1 0x1 0x0 0x0 0x0 0x0 0x95 0x1 0x1 0x0 0x0 0x0 0x0 0x96 0x0 0x1 0x0 0x0 0x0 0x0 0x97 0x3 0x1 0x0 0x0 0x0 0x0 0x98 0x3 0x1 0x0 0x1 0x1 0x0 0x99 0x0 0x1 0x0 0x0 0x0 0x0 0x9a 0x0 0x1 0x1 0x0 0x0 0x0 0x9b 0x7 0x1 0x0 0x0 0x0 0x0 0x9c 0x7 0x0 0x0 0x1 0x0 0x0 0x9d 0x7 0x0 0x0 0x1 0x0 0x0 0x9e 0x7 0x0 0x0 0x1 0x0 0x0 0x9f 0x0 0x1 0x0 0x0 0x0 0x0 0xa0 0x0 0x1 0x0 0x0 0x0 0x0 0xa1 0x1 0x0 0x0 0x1 0x1 0x1 0xa2 0x1 0x0 0x0 0x1 0x1 0x1 0xa3 0x0 0x0 0x0 0x1 0x0 0x0 0xa4 0x0 0x0 0x0 0x1 0x0 0x0 0xa5 0x0 0x0 0x0 0x1 0x0 0x0 0xa6 0x0 0x0 0x0 0x1 0x0 0x0 0xa7 0x0 0x0 0x0 0x1 0x0 0x0 0xa8 0x0 0x0 0x0 0x1 0x0 0x0 0xa9 0x0 0x1 0x0 0x0 0x0 0x0 0xaa 0x0 0x1 0x0 0x0 0x0 0x0 0xab 0x0 0x1 0x0 0x0 0x0 0x0 0xac 0x0 0x1 0x1 0x0 0x0 0x0 0xad 0x0 0x1 0x1 0x0 0x0 0x0 0xae 0x0 0x1 0x0 0x0 0x0 0x0 0xaf 0x0 0x1 0x0 0x0 0x0 0x0 0xb0 0x0 0x1 0x0 0x0 0x0 0x0 0xb1 0x0 0x1 0x0 0x0 0x0 0x0 0xb2 0x0 0x1 0x0 0x0 0x0 0x0 0xb3 0x0 0x0 0x0 0x1 0x0 0x0>;
		};
	};

	fragment@64 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x0 0x2 0x0 0x0>;
			status = "okay";
		};
	};

	fragment@65 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x1 0x2 0x1 0x0>;
			status = "okay";
		};
	};

	fragment@66 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x7 0x8 0x7 0x0>;
			status = "okay";
		};
	};

	fragment@67 {
		target = <0xffffffff>;

		__overlay__ {
			deb-gpios = <0xffffffff 0x9 0x0>;
			debounce = <0x3e800>;
			interrupt-parent = <0xffffffff>;
			interrupts = <0x9 0x8 0x9 0x0>;
			status = "okay";
		};
	};

	fragment@68 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0xa 0x4 0xa 0x0>;
			status = "okay";
		};
	};

	fragment@69 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0xb 0x2 0xb 0x0>;
			status = "okay";
		};
	};

	fragment@7 {
		target = <0xffffffff>;

		__overlay__ {

			r_en_default {
				phandle = <0xd>;
			};

			r_en_high@1 {
				phandle = <0xf>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x9f00>;
					slew-rate = <0x1>;
				};
			};

			r_en_low@0 {
				phandle = <0xe>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x9f00>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@70 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x17 0x8 0x17 0x0>;
			status = "okay";
		};
	};

	fragment@71 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x2c 0x1 0x2c 0x1>;
			status = "okay";
		};
	};

	fragment@72 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x90 0x4 0x90 0x1>;
			status = "okay";
		};
	};

	fragment@73 {
		target = <0xffffffff>;

		__overlay__ {
			deb-gpios = <0xffffffff 0x29 0x0>;
			debounce = <0x7d00>;
			interrupt-parent = <0xffffffff>;
			interrupts = <0x93 0x8 0x29 0x1>;
			status = "okay";
		};
	};

	fragment@74 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,md1_sim1_hot_plug_eint-eint";
			debounce = <0x0 0x2710>;
			dedicated = <0x0 0x0>;
			interrupts = <0x0 0x8>;
			sockettype = <0x0 0x0>;
			src_pin = <0x0 0x1>;
			status = "okay";
		};
	};

	fragment@75 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,md1_sim2_hot_plug_eint-eint";
			debounce = <0x1 0x2710>;
			dedicated = <0x1 0x0>;
			interrupts = <0x1 0x8>;
			sockettype = <0x1 0x0>;
			src_pin = <0x1 0x2>;
			status = "okay";
		};
	};

	fragment@76 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vcama";
			status = "okay";
		};
	};

	fragment@77 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vsim1";
			status = "okay";
		};
	};

	fragment@78 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vsim2";
			status = "okay";
		};
	};

	fragment@79 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vcamd";
			status = "okay";
		};
	};

	fragment@8 {
		target = <0xffffffff>;

		__overlay__ {
			aft_enable = <0x0>;
			bus_id = <0x0>;
			bus_type = "i2c";
			compatible = "huawei,ts_kit";
			debounce = <0x6 0x0>;
			drv_stop_width = <0x0>;
			has_virtualkey = <0x0>;
			hide_plain_id = <0x1>;
			interrupt-parent = <0xffffffff>;
			interrupts = <0x0 0x2 0x0 0x0>;
			lcd_height = <0x0>;
			lcd_width = <0x0>;
			need_i2c_hwlock = <0x0>;
			product = "kob2";
			register_charger_notifier = <0x0>;
			status = "okay";

			touchscreen@38 {
				algo_id = <0x1>;
				calc_crc_delay = <0x12c>;
				capa_test_sequence = <0x1>;
				charger_supported = <0x0>;
				check_bulcked = <0x0>;
				check_status_watchdog_timeout = <0x0>;
				chip_id = <0x50>;
				compatible = "fts";
				erase_flash_query_times = <0xf>;
				erase_min_delay = <0x546>;
				erase_query_delay = <0x32>;
				flip_x = <0x1>;
				flip_y = <0x1>;
				fp_tp_report_touch_minor_event = <0x0>;
				fts,fw_only_depend_on_lcd = <0x0>;
				fts,need_distinguish_lcd = <0x0>;
				get_brightness_info_flag = <0x0>;
				glove_supported = <0x0>;
				hard_reset_delay = <0xc8>;
				has_virtualkey = <0x0>;
				holster_supported = <0x0>;
				ic_type = <0x4>;
				irq_config = <0x3>;
				is_ic_rawdata_proc_printf = <0x1>;
				is_in_cell = <0x1>;
				lcd_full = <0x0>;
				need_wd_check_status = <0x0>;
				only_open_once_captest_threshold = <0x0>;
				palm_esd_support = <0x1>;
				parade,direct_proc_cmd = <0x0>;
				parade,is_parade_solution = <0x0>;
				parade,sleep_in_mode = <0x0>;
				pen_support = <0x0>;
				phandle = <0x49>;
				pinctrl-0 = <0x10>;
				pinctrl-1 = <0x11>;
				pinctrl-2 = <0x12>;
				pinctrl-3 = <0x13>;
				pinctrl-4 = <0x14>;
				pinctrl-5 = <0x15>;
				pinctrl-names = "default", "state_eint_as_int", "state_eint_output0", "state_eint_output1", "state_rst_output0", "state_rst_output1";
				power_self_ctrl = <0x0>;
				pram_projectid_addr = <0xfa0>;
				print_all_trx_diffdata_for_newformat_flag = <0x0>;
				projectid_len = <0xa>;
				provide_panel_id_support = <0x1>;
				rawdata_get_timeout = <0xa>;
				read_ecc_query_times = <0x64>;
				reboot_delay = <0x12c>;
				roi_supported = <0x0>;
				slave_address = <0x38>;
				support_3d_func = <0x0>;
				support_aft = <0x0>;
				support_point_to_point_test = <0x1>;
				tddi_tp_reset_sync = <0x1>;
				touch_switch_flag = <0x0>;
				upgrade_loop_times = <0x5>;
				use_lcdkit_power_notify = <0x1>;
				write_flash_query_times = <0x1e>;
				x_max = <0x320>;
				x_max_mt = <0x320>;
				y_max = <0x500>;
				y_max_mt = <0x500>;

				W181751200 {
					compatible = "fts-W181751200";
					ic_type = <0x4>;
					producer = "cmi";
					threshold,cb_test_max = <0xff>;
					threshold,cb_test_min = <0x0>;
					threshold,in_csv_file = <0x1>;
					threshold,lcd_noise_max = <0x1388>;
					threshold,open_test_cb_min = <0x0>;
					threshold,raw_data_max = <0x29c4>;
					threshold,raw_data_min = <0xc8>;
					threshold,short_circuit_min = <0xa>;
				};

				W181751300 {
					compatible = "fts-W181751300";
					ic_type = <0x4>;
					producer = "boe";
					threshold,cb_test_max = <0xff>;
					threshold,cb_test_min = <0x0>;
					threshold,in_csv_file = <0x1>;
					threshold,lcd_noise_max = <0x1388>;
					threshold,open_test_cb_min = <0x0>;
					threshold,raw_data_max = <0x29c4>;
					threshold,raw_data_min = <0xc8>;
					threshold,short_circuit_min = <0xa>;
				};
			};
		};
	};

	fragment@80 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vcamio";
			status = "okay";
		};
	};

	fragment@81 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vldo28";
			status = "okay";
		};
	};

	fragment@82 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";
		};
	};

	fragment@83 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";
			vtouch-supply = <0xffffffff>;
		};
	};

	fragment@84 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,kpd-hw-dl-key0 = <0x11>;
			mediatek,kpd-hw-dl-key2 = <0x8>;
			mediatek,kpd-hw-factory-key = <0x1>;
			mediatek,kpd-hw-init-map = <0x0 0x72 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
			mediatek,kpd-hw-map-num = <0x48>;
			mediatek,kpd-hw-pwrkey = <0x8>;
			mediatek,kpd-hw-recovery-key = <0x11>;
			mediatek,kpd-hw-rstkey = <0x11>;
			mediatek,kpd-key-debounce = <0x400>;
			mediatek,kpd-pwkey-gpio-din = <0x0>;
			mediatek,kpd-pwrkey-eint-gpio = <0x0>;
			mediatek,kpd-sw-pwrkey = <0x74>;
			mediatek,kpd-sw-rstkey = <0x73>;
			mediatek,kpd-use-extend-type = <0x0>;
			status = "okay";
		};
	};

	fragment@85 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-always-on;
			regulator-boot-on;
			regulator-default-on = <0x2>;
			regulator-max-microvolt = <0x2ab980>;
			regulator-min-microvolt = <0x2ab980>;
		};
	};

	fragment@86 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_main@10 {
				compatible = "mediatek,camera_main";
				phandle = <0x56>;
				reg = <0x10>;
				status = "okay";
			};

			camera_main_af@0c {
				compatible = "mediatek,camera_main_af";
				phandle = <0x57>;
				reg = <0xc>;
				status = "okay";
			};
		};
	};

	fragment@87 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_sub@36 {
				compatible = "mediatek,camera_sub";
				phandle = <0x58>;
				reg = <0x36>;
				status = "okay";
			};
		};
	};

	fragment@88 {
		target = <0xffffffff>;

		__overlay__ {

			cam0@0 {
				phandle = <0x37>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6500>;
					slew-rate = <0x1>;
				};
			};

			cam0@1 {
				phandle = <0x38>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6500>;
					slew-rate = <0x1>;
				};
			};

			cam0@2 {
				phandle = <0x39>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6100>;
					slew-rate = <0x1>;
				};
			};

			cam0@3 {
				phandle = <0x3a>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6100>;
					slew-rate = <0x1>;
				};
			};

			cam1@2 {
				phandle = <0x3b>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6200>;
					slew-rate = <0x1>;
				};
			};

			cam1@3 {
				phandle = <0x3c>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6200>;
					slew-rate = <0x1>;
				};
			};

			camdefault {
				phandle = <0x36>;
			};

			camera_pins_cam0_mclk_off {
				phandle = <0x3e>;

				pins_cmd_dat {
					pinmux = <0x6300>;
				};
			};

			camera_pins_cam0_mclk_on {
				phandle = <0x3d>;

				pins_cmd_dat {
					pinmux = <0x6301>;
				};
			};

			camera_pins_cam1_mclk_off {
				phandle = <0x40>;

				pins_cmd_dat {
					pinmux = <0x6400>;
				};
			};

			camera_pins_cam1_mclk_on {
				phandle = <0x3f>;

				pins_cmd_dat {
					pinmux = <0x6401>;
				};
			};
		};
	};

	fragment@89 {
		target = <0xffffffff>;

		__overlay__ {
			cam0_enable_sensor = "hi556_mipi_raw gc5035p_mipi_raw gc5035p_qunhui_mipi_raw";
			cam0_vcama-supply = <0xffffffff>;
			cam0_vcamaf-supply = <0xffffffff>;
			cam0_vcamd-supply = <0xffffffff>;
			cam0_vcamio-supply = <0xffffffff>;
			cam1_enable_sensor = "gc2375h_mipi_raw bf2253_mipi_raw gc02m1_mipi_raw";
			cam1_vcama-supply = <0xffffffff>;
			cam1_vcamd-supply = <0xffffffff>;
			cam1_vcamio-supply = <0xffffffff>;
			pinctrl-0 = <0x36>;
			pinctrl-1 = <0x37>;
			pinctrl-10 = <0x40>;
			pinctrl-2 = <0x38>;
			pinctrl-3 = <0x39>;
			pinctrl-4 = <0x3a>;
			pinctrl-5 = <0x3b>;
			pinctrl-6 = <0x3c>;
			pinctrl-7 = <0x3d>;
			pinctrl-8 = <0x3e>;
			pinctrl-9 = <0x3f>;
			pinctrl-names = "default", "cam0_rst0", "cam0_rst1", "cam0_pnd0", "cam0_pnd1", "cam1_pnd0", "cam1_pnd1", "cam0_mclk_on", "cam0_mclk_off", "cam1_mclk_on", "cam1_mclk_off";
			status = "okay";
		};
	};

	fragment@9 {
		target = <0xffffffff>;

		__overlay__ {

			eint0default {
				phandle = <0x10>;
			};

			eint@0 {
				phandle = <0x11>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x0>;
					slew-rate = <0x0>;
				};
			};

			eintoutput0 {
				phandle = <0x12>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x0>;
					slew-rate = <0x1>;
				};
			};

			eintoutput1 {
				phandle = <0x13>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x0>;
					slew-rate = <0x1>;
				};
			};

			rstoutput0 {
				phandle = <0x14>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xae00>;
					slew-rate = <0x1>;
				};
			};

			rstoutput1 {
				phandle = <0x15>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xae00>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@90 {
		target = <0xffffffff>;

		__overlay__ {
			product-name = "Kobe2Cam";
		};
	};

	fragment@91 {
		target = <0xffffffff>;

		__overlay__ {
			clock-frequency = <0x61a80>;
		};
	};
};
